PerformancePoint Services in SharePoint Server overview
[image]

Applies to: SharePoint

Summary: Learn about PerformancePoint Services in SharePoint Server.

PerformancePoint Services is a performance management service that you can use to monitor and analyze your business. By providing flexible, easy-to-use tools for building dashboards, scorecards, and key performance indicators (KPIs), PerformancePoint Services can help individuals across an organization make informed business decisions that align with companywide objectives and strategy.

PerformancePoint Services

PerformancePoint Services lets you create rich dashboards, aggregating content from multiple sources and displaying it in a web browser in an understandable and collaborative environment. The rich interactivity of the dashboards lets you to analyze the latest information and work with the data quickly and easily to identify key opportunities and trends. PerformancePoint Services and its authoring tool Dashboard Designer let you display key performance indicators (KPIs) and data visualizations in the form of scorecards, analytic reports, and filters. You can integrate with SQL Server Reporting Services (SSRS) and Excel Services in addition to creating scorecards that bring together data from multiple data sources to track and monitor key drivers of your business.

New features and improvements

In SharePoint Server, PerformancePoint Services offers certain new features to support business intelligence applications. These include the following:

  • Dashboard Migration: Users will be able to copy complete dashboards and dependencies. This includes the .aspx file, to other users, servers, or site collections. This feature also allows the ability to migrate single items to other environments and migrate content by using Windows PowerShell commands.

  • Filter Enhancements & Filter Search: The UI is improved to allow users to easily view and manage filters including letting users search for items within filters without having to navigate through the tree.

  • BI Center Update: The new BI Center is cleaner, and easier to use with folders and libraries configured for easy use.

  • Support for Analysis Services Effective User: This new feature eliminates the need for Kerberos delegation when per-user authentication is used for Analysis Services data sources. By supporting Analysis Services Effective User feature, authorization checks will be based on the user specified by the EffectiveUserName property instead of using the currently authenticated user.


Overview of PerformancePoint reports and scorecards

Overview of PerformancePoint reports and scorecards |
 | See also
[image]
PerformancePoint Services in SharePoint Server overview >

Applies to: SharePoint

Summary: Learn about reports and scorecards within PerformancePoint Services Dashboard Designer.

You can use PerformancePoint Dashboard Designer to create reports and scorecards for your dashboards. As you create each report or scorecard, you begin by selecting the appropriate template within Dashboard Designer.

In this article:

  • Report templates

  • Scorecard templates

Report templates

PerformancePoint reports can vary greatly in appearance and functionality. Some reports are created by using Dashboard Designer, but others are often external, existing reports that you can display in a PerformancePoint dashboard by creating a PerformancePoint Web Part. Finally, for some reports, you must have at least one scorecard created to successfully create and display information in those reports.

Template Description

Analytic Chart

An analytic chart is an interactive line, bar, or pie chart that you create and configure by using Dashboard Designer. Analytic charts use data that is stored in SQL Server Analysis Services.

For more information, see Create analytic charts or grids by using Dashboard Designer.

Analytic Grid

An analytic grid is an interactive table that you create and configure by using Dashboard Designer. Analytic grids use data that is stored in SQL Server Analysis.

For more information, see and Create analytic charts or grids by using Dashboard Designer.

Excel Services

An Excel Services report is an Excel workbook that was published to SharePoint Server by using Excel Services.

In Dashboard Designer, you do not actually create an Excel Services report. Instead, create a PerformancePoint Web Part to display all or part of an Excel workbook.

For more information, see Create Excel Services reports by using Dashboard Designer. (Note that Excel Services is not available in SharePoint Server 2016.)

KPI Details

A KPI Details report is a report that serves as a companion to a scorecard to provide additional information about scorecard key performance indicator (KPI) values and properties.

A KPI Details report does not contain or display information by itself. The KPI Details report derives all its information directly from the scorecard to which it is connected. Dashboard users click a value in a scorecard, and the KPI Details report updates to display additional information about that particular scorecard value without cluttering up the scorecard.

For more information, see Overview of PerformancePoint KPI Details reports and Create a KPI Details report by using Dashboard Designer.

Reporting Services

A Reporting Services report is a view that was published to SQL Server Reporting Services Report Server.

In Dashboard Designer, you do not actually create a Reporting Services report. Instead, you create a PerformancePoint Web Part to display an existing Reporting Services report.

Strategy Map

A strategy map is a report that serves as a companion to a scorecard to show relationships between objectives, goals, and KPIs at a glance. Strategy maps are based on the Balanced Scorecard framework.

A strategy map uses a scorecard as its data source and a Visio diagram as its display structure.

For more information, see Create strategy maps by using Dashboard Designer.

Web Page

A Web Page report is a fully functional internal or external Web site that you can display alongside other reports in your dashboard.

In Dashboard Designer, you do not actually create a Web Page. Instead, you create a PerformancePoint Web Part to display an existing website.

Decomposition Tree

A Decomposition Tree is an interactive view that dashboard users open from a scorecard or a report that uses SQL Server Analysis Services data. However, as a dashboard author, you do not create the Decomposition Tree by using PerformancePoint Dashboard Designer. In addition, you cannot display a Decomposition Tree as a top-level report view that is always displayed in a dashboard alongside other reports.

For more information, see Overview of the PerformancePoint Decomposition Tree.

Scorecard templates

A scorecard is a special kind of report that provides a high-level snapshot of performance for a group or an organization. A scorecard provides a visual representation of performance that can give you a summary of progress at a glance.

When you create a PerformancePoint scorecard, you can use a wizard to guide you through the process. When you use a wizard, you begin by selecting a template. The template that you select corresponds to the kind of data source that you plan to use for at least one key performance indicator (KPI) in your scorecard.

Important Important:
To use the different scorecard templates that are available, ensure that Dashboard Designer is configured to use a scorecard wizard. To learn more, see Turn on or off the scorecard wizard in Dashboard Designer.

Template Description

Analysis Services

The Analysis Services scorecard template enables you to create a scorecard that uses an Analysis Services data source for at least one KPI in the scorecard.

Depending on how an Analysis Services scorecard is configured, dashboard users can perform certain tasks that are not necessarily available with other scorecard templates:

  • Use Show Details to view transaction-level details for a particular scorecard value.

  • Open a Decomposition Tree to decompose, or analyze, a group to see its individual members and how they can be ranked according to a selected measure. For more information, see Learn about the Decomposition Tree (https://go.microsoft.com/fwlink/p/?LinkId=204883).

  • View higher or lower levels of data in the scorecard.

  • View dynamic dimension hierarchies in the scorecard.

When you use the Analysis Services scorecard template, you can create KPIs that are based on measures in the data cube, or you can select existing KPIs that you or other dashboard authors have created. However, you can also copy KPIs that are defined in the data cube into the scorecard. This ability to copy KPIs is unique to the Analysis Services scorecard template.

For more information, see Create an Analysis Services scorecard by using Dashboard Designer.

Blank Scorecard

The Blank Scorecard template enables you to create an empty scorecard that has no KPIs or other information. You would typically create a blank scorecard when you and other dashboard authors have already created KPIs.

For more information, see Create blank scorecards by using Dashboard Designer.

Fixed Values Scorecard

The Fixed Values Scorecard template enables you to create a scorecard that does not use a separate data source. When you use this template, you specify the values for the scorecard while you use the wizard.

For more information, see Create Fixed Values scorecards by using Dashboard Designer.

Tabular templates. They include the following:

  • Excel Services

  • Excel Workbook

  • SharePoint List

  • SQL Server Table

The four tabular templates (Excel Services, Excel Workbook, SharePoint List, and SQL Server Table) enable you to create a scorecard that uses a tabular data source for at least one KPI in the scorecard. Similar to the Analysis Services scorecard template, when you use a tabular data scorecard template, you can create KPIs that are based on measures in the data source, or you can select existing KPIs that you or other dashboard authors have created.

For more information, see Create tabular data scorecards by using Dashboard Designer.

See also

Create reports by using Dashboard Designer


Overview of PerformancePoint strategy maps in SharePoint Server
[image]
PerformancePoint Services in SharePoint Server overview > Overview of PerformancePoint reports and scorecards >

Applies to: SharePoint

Summary: Learn about strategy maps in Dashboard Designer.

A strategy map is a report view that can show relationships between objectives, goals, and key performance indicators (KPIs).

In a PerformancePoint dashboard, a strategy map alongside its scorecard might resemble the following image:

PerformancePoint strategy map

In the image, the color of each shape in the diagram is determined by the indicator that is connected to it. For example, the scorecard shows that Asia is on target overall, off target for the Sales Amount measure, and on target for the Sales Quantity measure. Thus, we see the shape that represents Asia colored in green, the shape for Sales Amounts colored in yellow, and Sales Quantity colored in green.

You are not limited to simple diagrams such as the one shown. You can use any Visio diagram. However, if you want the shape colors to update automatically, the kinds of shapes that you use matter. To configure the strategy map so that the shape colors correspond to scorecard values, use a Visio diagram that does not consist of complex shapes. Examples of complex shapes include shapes that consist of groups or sets of other shapes.

Strategy maps and the Balanced Scorecard

Strategy maps have their roots in the Balanced Scorecard framework, which defines organizational performance by using four perspectives:

  • Financial This perspective typically includes metrics such as revenue, cost, and profit.

  • Customer This perspective, which is also known as the customer satisfaction perspective, typically includes metrics such as customer counts, market share, and number of complaints.

  • Internal process This perspective, which is also known as the operations perspective, typically includes metrics such as time to market for new products, service error rates, and quality control measures.

  • Learning and growth This perspective, which is also known as the human resources perspective, typically includes metrics such as employee turnover rates, the number of new employees, and hiring data.

A Balanced Scorecard in PerformancePoint Services is typically a dashboard page that consists of the following:

  • A scorecard that displays performance metrics across the organization using the four perspectives described earlier in this section. The scorecard contains four groups of KPIs that correspond to those perspectives. For example, one set of KPIs includes financial metrics, another set includes customer metrics, and so on.

  • A strategy map that includes four groups of shapes (one group of shapes for each perspective) that are connected to the scorecard KPIs.

A Balanced Scorecard might resemble the following image:

Example of a Balanced Scorecard

Although many organizations find the Balanced Scorecard framework useful, you do not have to follow it when you create your strategy map. You can create your strategy map using any combination of KPIs and objectives in a PerformancePoint scorecard. For example, you can use a strategy map to show performance metrics across different geographical regions. Or, you can diagram a process in your organization and show how well each contributor to the process is performing.


Overview of PerformancePoint analytic charts and grids

Overview of PerformancePoint analytic charts and grids |
 | See also
[image]
PerformancePoint Services in SharePoint Server overview > Overview of PerformancePoint reports and scorecards >

Applies to: SharePoint

Summary: Learn about analytic charts and grids in Dashboard Designer.

You can create analytic reports for your dashboards by using PerformancePoint Dashboard Designer. Analytic reports are dynamic, visual representations of data that can be displayed as interactive line charts, bar charts, pie charts, and tables (which are called grids).

PerformancePoint analytic reports remain connected to the data, which means that their content is always up to date. To learn how to create an analytic report, see Create analytic charts or grids by using Dashboard Designer.

Interactive functionality in analytic charts and grids

You would typically include one or more analytic reports in your dashboard. Depending on how you set up your analytic charts or grids, dashboard users can use those reports to:

  • Open a Decomposition Tree to see how a specific value can be broken down into its contributing members and discover trends across individual members.

    Important Important:
    You must have Microsoft Silverlight 2 or Silverlight 3 installed on your computer in order to use the Decomposition Tree. If you do not have Silverlight 2 or Silverlight 3 installed, you will not see Decomposition Tree listed on the right-click menu.

  • Apply value filters to display the top (or bottom) members in a group, or values that are in a given range.

  • Use Additional Actions, which are defined in the Analysis Services cube.

  • Sort values or chart legend items in ascending or descending order.

  • Drill down or up to see lower or higher levels of detail.

  • Filter out empty items, isolate an item, or remove an item from the report view.

  • Pivot the report, or configure the view type and format.

  • Show or hide information, such as measures or background information.

  • Work with multiple pages of data. (This is useful when a query returns a large set of results.)

  • Export information to PowerPoint or Excel.

Tip Tip:
The activities described in the list are largely dependent on the way that data cubes are configured in SQL Server Analysis Services. For example, if no actions are defined in the data cubes, then the Additional Actions option is not available for your analytic chart.

Data sources for analytic charts and grids

Analytic reports pull information from data that is arranged into cubes in SQL Server 2005 Analysis Services or SQL Server 2008 Analysis Services. These cubes consist of dimensions, members, and named sets, as described here:

Item | Description
Dimension | A structured, hierarchical way to organize data. For example, a Products dimension might have a hierarchy such as Products > Product Categories > Product Names, and a Date dimension might have Year > Week > Day.
Measure | A cube member that associates a numeric value with one or more dimension members. For example, some measures might include Sales Amounts, Gross Profit, and Gross Profit Margin.
Named set | A collection of one or more dimension members that is defined in the database. For example, Core Products is a common named set that contains a subset of the members that are included in the Products dimension.

See also

Create analytic charts or grids by using Dashboard Designer


Overview of Excel Services reports displayed in PerformancePoint Web Parts

Overview of Excel Services reports displayed in PerformancePoint Web Parts |
 | See also
[image]
PerformancePoint Services in SharePoint Server overview > Overview of PerformancePoint reports and scorecards >

Applies to: SharePoint

Summary: Learn about how to display Excel Services reports in Dashboard Designer.

By using PerformancePoint Dashboard Designer, you can include Excel Services reports in your PerformancePoint dashboards. Excel Services reports are Excel workbooks that have been published to SharePoint Server. You can display a single item in the workbook, or the whole workbook in your PerformancePoint dashboard.

When you use Dashboard Designer to include Excel Services reports in your dashboard, you do not actually create the reports. Instead, you create PerformancePoint Web Parts that are designed to display Excel Services reports and receive dashboard filters.

Note Note:
Excel Services is not available in SharePoint Server 2016.

Use Excel Services reports for purposes such as the following:

  • To display view types that you cannot create by using Dashboard Designer. Examples include PivotChart reports, PivotTable reports, and tables that contain conditional formatting or other custom formatting that is not available in analytic grids.

  • To save time by displaying existing reports, instead of creating (or recreating) new Excel workbooks.

  • To include interactive reports in your dashboards that users can either view in a web browser or open in Excel.

  • To create reports that use data source types not available in Dashboard Designer.

These are only some examples of how an Excel Services report can be useful. An Excel Services report displays all or part of an Excel workbook that was published to SharePoint Server by using Excel Services. You can include Excel Services reports in your dashboard, either as a single item on the page or as an item alongside other dashboard items. In addition, you can connect dashboard filters to Excel Services reports, together with other kinds of PerformancePoint reports and scorecards.

Interactive functionality in Excel Services reports

You would typically include one or more Excel Services reports in your dashboard to enable dashboard users to easily view and explore data. Depending on how you set up your reports, dashboard users can perform these kinds of tasks:

  • Browse through pages in Excel workbooks without opening Excel

  • Apply (or change) internal filters for charts and tables that were created in Excel

  • Sort rows or columns in charts or tables

  • Use the Refresh button in the browser window to restore the Excel Services report to its default view

Data sources for Excel Services reports

Excel Services reports can use various data sources, such as those in the following list:

  • A SQL Server database

  • A SQL Server Analysis Services data cube

  • A Access database

  • An online analytical processing (OLAP) database

  • A relational database

  • An Excel workbook

  • A text file

  • An external data connection file that is defined as a trusted data provider. Examples might include those in the following list:

    • SQL Server OLE DB, ODBC, or OLAP

    • OLE DB and ODBC for Oracle

    • OLE DB and ODBC for IBM DB2

Data connections are defined in the Excel workbooks and are retained when the workbooks are published to SharePoint Server.

See also

Connect filters to reports or scorecards by using Dashboard Designer

Create an Excel Services data connection by using PerformancePoint Services


Overview of PerformancePoint KPI Details reports

Overview of PerformancePoint KPI Details reports |
 | See also
[image]
PerformancePoint Services in SharePoint Server overview > Overview of PerformancePoint reports and scorecards >

Applies to: SharePoint

Summary: Learn about PerformancePoint KPI Details reports.

By using PerformancePoint Dashboard Designer, you can include KPI Details reports in your dashboards. A KPI Details report is a view type that provides additional information about scorecard values and properties. As dashboard users click cells in a scorecard, the KPI Details report updates to display particular information about that value. For example, when dashboard users click a value in the Target column, the KPI Details report displays details such as how performance is calculated, what banding settings are used, and what kind of indicator is used.

To display information, a KPI Details report must be connected to a scorecard in the dashboard. This means that a KPI Details report is not used in a dashboard without its accompanying scorecard on the same dashboard page. However, you can create and configure a KPI Details report one time, and then reuse it in multiple dashboards, connected to multiple scorecards.

See also

Create a KPI Details report by using Dashboard Designer
Create scorecards by using Dashboard Designer
Assemble dashboard pages and link items together by using Dashboard Designer
Add a KPI Details report to a dashboard by using Dashboard Designer


Overview of Reporting Services reports displayed in PerformancePoint Web Parts

Overview of Reporting Services reports displayed in PerformancePoint Web Parts |
 | See also
[image]
PerformancePoint Services in SharePoint Server overview > Overview of PerformancePoint reports and scorecards >

Applies to: SharePoint

Summary: Learn about how to include Reporting Services reports in a PerformancePoint web part.

SQL Server Reporting Services reports are reports that are published to Reporting Services. Reporting Services reports can resemble tables or charts, and they can include their own filters, which are also known as parameters.

Reporting Services reports are typically highly interactive. Depending on how the reports are configured, dashboard users can explore data by clicking, sorting, and scrolling through pages. In addition, users can perform the following kinds of tasks:

  • Preview, adjust, and print one or more pages in the report.

  • Apply one or more parameters without having to rerun a query to the database. Parameters are built-in filters that are specific to the report.

  • Export data as image files, Adobe PDF files, Web files, or other formats that Microsoft applications recognize.

When you use Dashboard Designer to include Reporting Services reports in your dashboard, you do not actually create the reports. Instead, you create PerformancePoint Web Parts to display Reporting Services reports and receive dashboard filters.

See also

Overview of PerformancePoint reports and scorecards


Overview of Web Page reports in Dashboard Designer
[image]
PerformancePoint Services in SharePoint Server overview > Overview of PerformancePoint reports and scorecards >

Applies to: SharePoint

Summary: Learn about web page reports in Dashboard Designer.

In PerformancePoint Dashboard Designer, a Web Page report is a report type that you can use to display a Web site in a dashboard. You would typically use Web Page reports for purposes such as the following:

  • To add textual details about other reports on the dashboard page. For example, you might use a Web Page report to help users understand the key performance indicators (KPIs) that are in a scorecard and what actions they should take when a KPI is off target.

  • To add a Web site, such as a financial news page that displays alerts, stock market activity, and news bulletins to a dashboard targeted at sales, marketing, or finance professionals.

  • To display a report, such as a Visio Services report, an Access Services report, or a Project Server report that you cannot create by using Dashboard Designer.

  • To add a blog or a forum that displays discussion threads and user comments on a new product in a dashboard page.

A Web Page report displays an internal or external site in a Web Part that you can then include in your dashboard, either as a single item on the page or as an item alongside other dashboard items.

Limitations of Web Page reports

The site that you display in a Web Page report is live and fully functional, exactly as it is in a typical Web browser. However, Web Page reports do not typically have filtering and exporting capabilities that are available in other PerformancePoint report types.

  • Dashboard filters In general, you cannot connect a dashboard filter to a Web Page report. However, depending on the site that is displayed in the Web Page report, you might be able to add a parameter to the Web site address (URL) that is specified for the report.

  • Exporting information Dashboard users cannot export a Web Page report to PowerPoint or Excel by using the Web Part menu for a Web Page report. To capture the information displayed in a Web Page report, dashboard users can print the report by using the Print toolbar commands for the Web browser.


Overview of the PerformancePoint Decomposition Tree

Overview of the PerformancePoint Decomposition Tree |
 | See also
[image]
PerformancePoint Services in SharePoint Server overview > Overview of PerformancePoint reports and scorecards >

Applies to: SharePoint

Summary: Learn about PerformancePoint decomposition trees.

The PerformancePoint Decomposition Tree, is an analytics tool that dashboard users can use to perform root-cause analysis. Dashboard users can view how individual members in a group contribute to the whole.

In a Decomposition Tree, members are ranked from greatest to least, or from least to greatest. The Decomposition Tree enables users to decompose, or analyze, a group to see its individual members and how they can be ranked according to a selected measure, such as by sales amounts.

Tip Tip:
The Decomposition Tree is useful for understanding why a particular value in a report or a scorecard is what it is. However, dashboard users cannot export a Decomposition Tree to Excel or PowerPoint like they can with some other kinds of reports, such as scorecards or analytic charts or grids. In addition, dashboard users cannot save their analysis that they did by using the Decomposition Tree.

In this article:

  • How do I create or open a Decomposition Tree?

  • How do I use a Decomposition Tree?

How do I create or open a Decomposition Tree?

As a dashboard author, you do not create the Decomposition Tree by using PerformancePoint Dashboard Designer. In addition, you cannot display a Decomposition Tree as a top-level report view that is always displayed in a dashboard alongside other reports. Instead, dashboard users open the Decomposition Tree from a report in a dashboard that is deployed to SharePoint Server.

Note Note:
To open and use the Decomposition Tree, dashboard users must have Silverlight 3 or Silverlight 4 installed on their computer. Also be aware that depending on how a scorecard or an analytic view is configured, dashboard users might be unable to open the Decomposition Tree. For example, if a dashboard user right-clicks a report or scorecard value that uses a calculated member or a background item, the Decomposition Tree option might not be available.
To open the Decomposition Tree

  1. In a PerformancePoint dashboard that is published to SharePoint Server, select a report view that uses SQL Server Analysis Services data. Examples include analytic charts and grids, and some kinds of scorecards.

  2. In the report view, right-click a value, and then select Decomposition Tree. The value can be a cell in a scorecard or a grid, or it can be an amount in a chart.

    The Decomposition Tree opens in a browser window.

How do I use a Decomposition Tree?

Dashboard users would typically use a Decomposition Tree to see how a single value in a report or a scorecard can be broken down into its contributing members. The Decomposition Tree automatically sorts results and applies an inline Pareto chart to the data. Therefore, dashboard users can quickly see the highest contributors to a particular report value. Dashboard users can also see trends across individual members that contribute to an overall value.

When dashboard users begin to use the Decomposition Tree, they typically start with one bar, which is a decomposition node, located on the left side of the screen. Use the following procedure to conduct root-cause analysis.

To conduct root-cause analysis by using a Decomposition Tree

  1. In a PerformancePoint dashboard that is published to SharePoint Server, select a report view that uses SQL Server Analysis Services data. Examples include analytic charts and grids, and some kinds of scorecards.

  2. In the report view, right-click a value, and then select Decomposition Tree. The value can be a cell in a scorecard or a grid, or it can be an amount in a chart.

    The Decomposition Tree opens in a browser window.

  3. Click a decomposition node. A list of dimensions and hierarchies is displayed.

  4. Select the dimension and hierarchy that you want to use. The view automatically updates to display the next level of detail for the item that you selected.

  5. Repeat Steps 3 and 4 to show additional levels of detail in the view.

  6. To view member properties for a dimension member, browse to a single dimension member. Click its node to open a dialog box that contains additional options, and then click Show Properties.

See also

Overview of PerformancePoint reports and scorecards


Overview of PerformancePoint scorecards

Overview of PerformancePoint scorecards |
 | See also
[image]
PerformancePoint Services in SharePoint Server overview > Overview of PerformancePoint reports and scorecards >

Applies to: SharePoint

Summary: Learn about PerformancePoint scorecards.

A scorecard is a special kind of report that provides a high-level snapshot of performance for a group or an organization. Scorecards display a collection of key performance indicators (KPIs) and the performance targets for those KPIs to show progress toward achieving specific goals. The KPIs in a scorecard represent specific, measurable elements of performance, such "Sales” for a particular group, or "Number of customer complaints per day." A scorecard provides a visual representation of performance that can give you a summary of progress at a glance.

Characteristics of PerformancePoint scorecards

A scorecard that was created by using PerformancePoint Dashboard Designer is known as a PerformancePoint scorecard. Some features that you might see in a PerformancePoint scorecard are described in the following list:

  • Trend indicators, such as arrows, that show whether performance has improved, remained the same, or decreased from a previous time period.

  • Complex KPIs that measure performance by comparing multiple values or by using calculated metrics. For example, suppose that sales performance is determined not only by comparing gross sales amounts to quota, but also by factoring in gross profit margin and weighted sales metrics. You can have KPIs that show all the measures of sales performance and then calculate an overall performance measurement.

  • Time Intelligence to show performance for dynamic time periods or as of a particular date. For example, you might have a column labeled Last Six Months in your scorecard that is automatically updated.

  • Expandable and collapsible rows or columns that you can use to see lower or higher levels of detail in the scorecard. For example, suppose that you have an item named All Products on rows in your scorecard. Depending on how the scorecard is configured, you can click Products and see the next level of detail. The scorecard updates and displays additional rows, one for each item in the Products group.

  • KPIs that are used as filters for other reports, such as analytic charts or grids in a dashboard. For example, suppose that you have a scorecard that is connected to an analytic chart. When you click a KPI, the analytic chart automatically updates to display information that is relevant to that KPI. When you click another KPI, the report updates again to display information for that KPI, and so on.

  • The ability to open a Decomposition Tree to analyze how individual members contribute to a value. Depending on how the scorecard is configured and if it uses SQL Server Analysis Services data, you can right-click a value, and then click Decomposition Tree.

Interactive functionality in scorecards

You would typically include one or more scorecards in your dashboard to enable dashboard users to easily view whether performance is on or off target at a glance. Depending on how you set up your scorecards, dashboard users can use those scorecards to perform the following tasks:

  • Expand or collapse rows in the scorecard.

    Drill up (or down) to view higher (or lower levels) of detail.

  • Apply value filters to display the top (or bottom) members in a group, or values that are in a given range.

  • Export information to PowerPoint or Excel.

  • Click a value in a scorecard that is linked to a KPI Details report to view additional information about KPI values and properties.

    Note Note:
    This option applies to dashboards that contain a scorecard that is connected to a KPI Details report on the same page.

  • Click a KPI that is linked to another report, such as an analytic chart or grid, to display additional information about that KPI value.

Data sources for scorecards

PerformancePoint scorecards can use data that is stored in any of the following data sources:

  • SQL Server Analysis Services

  • A SharePoint list

  • An Excel Services file

  • A table in a SQL Server database

  • A list of values that is created by the scorecard author

See also

Create scorecards by using Dashboard Designer
Assemble dashboard pages and link items together by using Dashboard Designer


Create Dashboards by using PerformancePoint Services
[image]

Applies to: SharePoint

Summary: Learn how to create dashboards by using the PerformancePoint Dashboard Designer tool in SharePoint Server.

What's new icon (box) Content | Description
Create data connections by using PerformancePoint Services | Learn how to create data connections from Dashboard Designer to external data sources.
Create scorecards by using Dashboard Designer | Use PerformancePoint Dashboard Designer to create scorecards that show performance metrics.
Create reports by using Dashboard Designer | Using PerformancePoint Dashboard Designer, you can create many kinds of reports for your dashboard. Examples of report types include analytic charts and grids, Excel Services reports, strategy maps, and many other kinds of reports.
Create and assemble a dashboard page by using Dashboard Designer | Learn how to create and assemble a dashboard page by using PerformancePoint Dashboard Designer in SharePoint Server.


Create data connections by using PerformancePoint Services
[image]
Create Dashboards by using PerformancePoint Services >

Applies to: SharePoint

Summary: Learn how to create data connections from Dashboard Designer to external data sources.

Data sources defined in PerformancePoint Dashboard Designer are stored in a trusted data connection library on SharePoint Server. A trusted data connection library is a document library that you have determined as safe. It restricts using the data source files, but still lets them be read. Administrators can manage data connections on the server by creating more than one data connection library. If a user updates a data source connection in the document library, the information is shared and updated when a workspace file is opened in Dashboard Designer.

 | Content
SharePoint logo | Create a connection from Dashboard Designer to an Analysis Services data cube by using PerformancePoint Services
 | Create a PowerPivot data connection
 | Create a connection from Dashboard Designer to a SharePoint list by using PerformancePoint Services
 | Create an Excel Services data connection by using PerformancePoint Services
 | Create a connection from Dashboard Designer to a SQL Server table by using PerformancePoint Services
 | Create an Excel Workbook data connection by using PerformancePoint Services


Create a connection from Dashboard Designer to an Analysis Services data cube by using PerformancePoint Services
[image]
Create Dashboards by using PerformancePoint Services > Create data connections by using PerformancePoint Services >

Applies to: SharePoint

Summary: Learn how to set up a data connection from Dashboard Designer to an Analysis Services data cube.

In PerformancePoint Services, the security settings for data sources are stored in each data source. For Analysis Services, you have the choice of three authentication options: using the Unattended Service Account, using credentials stored in a Secure Store target application, using Per-User Identity (which requires either the Kerberos protocol or setting the EffectiveUserName property in PerformancePoint Application Settings in Central Administration.)

Note Note:
PerformancePoint Services accesses external data sources by using a delegated Windows identity. Consequently, external data sources must reside within the same domain as the SharePoint Server farm. If external data sources do not reside within the same domain, authentication to the external data sources fails.

Create an Analysis Services data source

Create an Analysis Services data source either by entering the name of the Analysis Services server, database, and cube name, or by typing a connection string and the cube name in Dashboard Designer.

Tip Tip:
We recommend that you select your authentication method before you specify your server connection.
To Create an Analysis Services data source

  1. Click the Create tab, and then click Data Source.

  2. In the Category pane of the Select a Data Source Template dialog box, click Multidimensional and then click Analysis Services. Click OK.

  3. In the left navigation pane (workspace browser), type the name of your data source.

  4. In the Data Source Settings section, select the method by which to authenticate to the data source.

  5. In the Formatting Dimension drop-down list, select desired dimension formatting needed for the report.

  6. In the Cache Lifetime drop-down box, type the refresh rate (in minutes) for the cache. Data from this data source will update at this interval.

  7. In the center pane, click the Editor tab. In the Connection Settings section, select the method by which to connect to the data source.

    To use a standard connection:

    1. Select Use standard connection

    2. Type the full path for the server to which you want to connect. This populates the options in the database list.

    3. In the Database box, select a database name.

    4. (Optional) In the Roles box, type the name of the role, such as an administrator or database role. To specify multiple roles, type the names of the roles and separate them with commas.

    To use a specific connection string:

    1. Select Use the following connection.

    2. Type the connection string to the server, including the cube name to which you want to connect.

    3. From the Cube drop-down list, select the specific cube that you want to use as the data source in the database.

  8. Click Test Connection to confirm that the connection is configured correctly.

  9. From the Data Source Settings box, select one of the following Authentication methods:

    • Unattended Service Account If you select this method, all users connect by using the Unattended Service Account that was defined for the PerformancePoint shared service when they access the data source.

    • Use a stored account Enter the Application ID of a secure store target application. If you select this method, all users connect by using the credentials from the specified Secure Store target application when they access the data source.

    • Per-user identity If you select this option, the current user's identity is used to access the data source. Per-User Identity requires either the Kerberos protocol or setting the EffectiveUserName property in PerformancePoint Application Settings in Central Administration.

  10. Click Test Data Source to confirm your connection is configured correctly.


Create a connection from Dashboard Designer to a SharePoint list by using PerformancePoint Services
[image]
Create Dashboards by using PerformancePoint Services > Create data connections by using PerformancePoint Services >

Applies to: SharePoint

Summary: Learn how to set up a data connection from Dashboard Designer to SharePoint list.

Data from a SharePoint list can be used as a data source in PerformancePoint Services. The data from the SharePoint list can only be read by using PerformancePoint Services. Any editing of the data must be done from SharePoint Server. You can connect to any kind of SharePoint list.

Note Note:
PerformancePoint Services accesses external data sources by using a delegated Windows identity. Consequently, external data sources must reside within the same domain as the SharePoint Server farm. If external data sources do not reside within the same domain, authentication to the external data sources fails.

Create a SharePoint list data connection

In PerformancePoint Services, the security settings for data sources are stored in each data source. For SharePoint lists, you have the choice of three authentication options: using the Unattended Service Account, using credentials stored in a Secure Store target application, or using Per-User Identity. Per-User Identity requires the Kerberos protocol.

Tip Tip:
We recommend that you select your authentication method before you specify your server connection.
To create a data source connection to a SharePoint list

  1. Click the Create tab, and then click Data Source.

  2. In the Category pane of the Select a Data Source Template dialog box, click Tabular List and then click SharePoint list. Click OK.

  3. In the left navigation pane (workspace browser), type a name for your data source.

  4. In the center pane, click the Editor tab. In the Data Source Settings section, select the method on which to authenticate to the data source.

  5. In the Cache Lifetime list, type the refresh rate (in minutes) for the cache. Data from this data source will update according to the interval you specify.

  6. In the Connection Settings section, type the URL to the SharePoint site.

  7. In the SharePoint Site List list, select a List collection.

  8. In the List list, select the SharePoint list that you want from the collection.

  9. From the Data Source Settings box, select one of the following Authentication methods:

    • Unattended Server Account If you select this method, all users connect by using the Unattended Service Account that was defined for the PerformancePoint shared service when they access the data source.

    • Use a stored account Enter the Application ID of a secure store target application. If you select this method, all users connect by using the credentials from the specified Secure Store target application when they access the data source.

    • Per-user identity If you select this option, the current user's identity is used to access the data source. Per-User Identity requires the Kerberos protocol.

  10. Click Test Data Source to confirm that the connection is configured correctly.


Create an Excel Services data connection by using PerformancePoint Services
[image]
Create Dashboards by using PerformancePoint Services > Create data connections by using PerformancePoint Services >

Applies to: SharePoint

Summary: Learn how to set up a data connection from Dashboard Designer to an Excel Services file.

A data source connection can be made to data within Excel files that have been published to Excel Services on a SharePoint site. Published parameter values can be modified from within PerformancePoint Services. This is useful when a parameter is an input to the value of a published cell. This could be used in a KPI, for example, and enable the dynamic change of that cell value from PerformancePoint Services.

Important Important:
PerformancePoint Services accesses external data sources by using a delegated Windows identity. Consequently, external data sources must reside within the same domain as the SharePoint Server farm. If external data sources do not reside within the same domain, authentication to the external data sources fails.

Create an Excel Services data source connection

In PerformancePoint Services the security settings for data sources are stored in each data source. For Excel Services workbooks, you have the choice of three authentication options: using the Unattended Service Account, using credentials stored in a Secure Store target application, or using Per-User Identity. Per-User Identity requires the Kerberos protocol.

Tip Tip:
We recommend that you select your authentication method before you specify your server connection.
Security note Security
You cannot connect to an Excel Services data source when the site or library that contains the workbook you are trying to connect to is set to Anonymous Access.
To Create an Excel Services data source connection

  1. Start Dashboard Designer.

  2. Click the Create tab, and then click Data Source.

  3. In the Category pane of the Select a Data Source Template dialog box, click Tabular List and then click Excel Services. Click OK.

  4. In the left navigation pane (workspace browser), type a name for your data source.

  5. In the center pane, click the Editor tab. In the Data Source Settings section, select the method by which to authenticate to the data source.

  6. In the Refresh Interval box, enter the duration in minutes for the data to refresh.

  7. In the Connection Settings section, type the URL of the SharePoint site.

  8. From the Document Library list, select the SharePoint document library where the workbook is located.

  9. From the Excel Workbook list, select the workbook that you want.

  10. In the Item Name list, select a Named Range or table. Only one Named Range or Table is supported per Excel Services data source.

    Important Important:
    If you connect to a Office Excel 2007 workbook as a data source, you must type the Item name; it will not appear in the drop-down list.
    Tip Tip:
    Your selected Named Range or Table can be seen later on the View tab. A column from that Item can be set as a Time Dimension and configured from the Time tab.

  11. From the Data Source Settings box, select one of the following Authentication methods:

    • Unattended Server Account If you select this method, all users connect by using the Unattended Service Account that was defined for the PerformancePoint shared service when they access the data source.

    • Use a stored account Enter the Application ID of a secure store target application. If you select this method, all users connect by using the credentials from the specified Secure Store target application when they access the data source.

    • Per-user identity If you select this option, the current user's identity is used to access the data source. Per-User Identity requires the Kerberos protocol.

  12. Click Test Data Source to confirm your connection is configured correctly.


Create a connection from Dashboard Designer to a SQL Server table by using PerformancePoint Services
[image]
Create Dashboards by using PerformancePoint Services > Create data connections by using PerformancePoint Services >

Applies to: SharePoint

Summary: Learn how to set up a data connection from Dashboard Designer to a SQL Server table.

A SQL Server table or view can be used as a data source by PerformancePoint Services. Only tables and views can be used as SQL Server data sources. SQL database data cannot be modified from the Dashboard Designer.

Important Important:
PerformancePoint Services accesses external data sources by using a delegated Windows identity. Consequently, external data sources must reside within the same domain as the SharePoint Server farm. If external data sources do not reside within the same domain, authentication to the external data sources fails.

In this article:

  • Create a SQL Server table data source connection

Create a SQL Server table data source connection

In PerformancePoint Services the security settings for data sources are stored in each data source. For SQL Server tables, you have the choice of three authentication options: using the Unattended Service Account, using credentials stored in a Secure Store target application, or by using Per-User Identity. Per-User Identity requires the Kerberos protocol.

Tip Tip:
We recommend that you select your authentication method before you specify your server connection.
To Create a SQL Server table data source connection

  1. Start Dashboard Designer.

  2. Click the Create tab, and then click Data Source.

  3. In the Category pane of the Select a Data Source Template dialog box, click Tabular List and then click SQL Server table. Click OK.

  4. In the left navigation pane (workspace browser), type a name for your data source.

  5. In the center pane, click the Editor tab. In the Data Source Settings section, select the method by which to authenticate to the data source.

  6. In Refresh Interval, specify the duration (in minutes) before data is refreshed from the source.

  7. In the Connection Settings section, select the method by which to connect to the data source.

    To use a standard connection:

    1. Select Use standard connection.

    2. Type the full path for the server to which you want to connect. This populates the options in the database list.

    3. In the Database box, select a database name.

    To use a specific connection string:

    1. Select Use the following connection.

    2. Type a connection string with the full path of the server and database to which you want to connect.

    3. In the Table list, select the specific table that you want to use.

  8. Click Test Data Source to confirm that the connection is configured correctly.

  9. In the Workspace Browser, right-click the data source, and then click Save.

    Note Note:
    If the SQL Server table that you select for the data connection contains a date/time column, you might receive an error message that indicates that the data source has not been saved. This can occur even though the data source has indeed been saved. This is a known issue.

  10. From the Data Source Settings box, select one of the following Authentication methods:

    • Unattended Server Account If you select this method, all users connect by using the Unattended Service Account that was defined for the PerformancePoint shared service when they access the data source.

    • Use a stored account Enter the Application ID of a secure store target application. If you select this method, all users connect by using the credentials from the specified Secure Store target application when they access the data source.

    • Per-user identity If you select this option, the current user's identity is used to access the data source. Per-User Identity requires the Kerberos protocol.

  11. Click Test Data Source to confirm your connection settings.


Create an Excel Workbook data connection by using PerformancePoint Services
[image]
Create Dashboards by using PerformancePoint Services > Create data connections by using PerformancePoint Services >

Applies to: SharePoint

Summary: Learn how to set up a data connection from Dashboard Designer to an Excel workbook.

Create an Excel Workbook data connection (import a workbook)

An existing Excel file can be imported as an Excel workbook data source in PerformancePoint Services. Once the data source is created, an internal copy of the Excel file is used and all modifications to the data are done from the Edit tab in Dashboard Designer. The original Excel file is disconnected and independent from PerformancePoint Services. In PerformancePoint Services, security settings for data sources are stored in each data source. However, when you create a data source connection to an Excel workbook, a copy is imported and stored within PerformancePoint and is no longer an external data source.

To Create an Excel Workbook data connection (import a workbook)

  1. Click the Create tab, and then click Data Source.

  2. In the Category pane of the Select a Data Source Template dialog box, click Tabular List and then click Import from Excel Workbook. Click OK.

  3. In the left navigation pane (workspace browser), type the name of your data source.

  4. In the center pane, click Import.
Important Important:
Excel Web App workbooks that use the Click-to-Run method cannot be used as a data source in PerformancePoint Services.


Create a PowerPivot data connection
[image]
Create Dashboards by using PerformancePoint Services > Create data connections by using PerformancePoint Services >

Applies to: SharePoint

Summary: Learn how to create a data connection to a PowerPivot data source when creating a dashboard in PerformancePoint Services Dashboard Designer.

PerformancePoint Services in SharePoint Server supports PowerPivot models as a data source. You can use data in a PowerPivot model and build interactive dashboards using PerformancePoint Services features such as Key Performance Indicators (KPIs), Scorecards, Analytic Charts, Analytic Grids and Filters.

Note Note:
PerformancePoint Services accesses external data sources by using a delegated Windows identity. Consequently, external data sources must reside within the same domain as the SharePoint Server farm. If external data sources do not reside within the same domain, authentication to the external data sources will fail.

To use PowerPivot data in PerformancePoint Services 2013, do the following:

  • Install ADOMD.net V11 on the server on which you are authoring the Dashboard in order to access a Power Pivot workbook as a data source.

  • Edit the assembly direct to instruct PerformancePoint Services to use the correct version.

Using PowerPivot as a data source in SharePoint PerformancePoint Services 2013

PerformancePoint Services 2010 and 2013 are both compiled with Version 10 of the ADOMD.NET provider. To allow you to use newer provider versions from Analysis Services without having to upgrade your SharePoint version, an assembly redirect has been included with PerformancePoint Services 2013. This is particularly useful if your organization mixes and matches versions of SharePoint and Analysis Services. Perform the following steps on every server running PerformancePoint Services.

To Edit the Assembly Redirect

  1. On each server running PerformancePoint Services, navigate to \Program Files\Microsoft Office Servers\15.0\WebServices\PpsMonitoringServer.

  2. Open the web.config file. It should be located in the same directory as PerformancePointServerice.svc.

  3. At the end of the file, you should see an <assemblyBinding> block contained within a <runtime> block, like this:

    • <runtime>

      <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">

      <dependentAssembly>

      <assemblyIdentity name="Microsoft.AnalysisServices.AdomdClient" publicKeyToken="89845dcd8080cc91" culture="neutral" />

      <bindingRedirect oldVersion="9.0.0.0" newVersion="10.0.0.0" />

      </dependentAssembly>

      </assemblyBinding>

      </runtime>

  4. Change the values in the <bindingRedirect> element from oldVersion="9.0.0.0" to oldVersion=10.0.0.0" and from newVersion="10.0.0.0" to newVersion="11.0.0.0".

This will allow PerformancePoint to leverage the GAC'd version 11 ADOMD.NET assembly when making calls to Analysis Services 2012 (and prior versions). It will also allow you to use the latest PowerPivot models as data sources in PerformancePoint Services.

Create a PowerPivot data source connection

To use Power Pivot as a data source within PerformancePoint Services dashboard, you must have PerformancePoint Services activated on a SharePoint Server farm and have Power Pivot for SharePoint 2013 installed. Once a Power Pivot model is created, it must be uploaded to a SharePoint Server site that has Power Pivot for SharePoint enabled.

Important Important:
You must apply the hotfix detailed in the Microsoft Knowledge Base article When you run a .NET Framework 2.0 based application, a System.AccessViolationException exception occurs, or a deadlock occurs on two threads in an application domain (http://go.microsoft.com/fwlink/p/?LinkId=187501) in order to use Power Pivot as a data source in PerformancePoint Services.
Important Important:
You must have ADOMD.net V11 installed on the server on which you are authoring the Dashboard in order to access a Power Pivot workbook as a data source.

In PerformancePoint Services, the security setting for data sources is stored in each data source. By using PowerPivot as a data source, you can authenticate either using an unattended service account or a Per-user identity. Per-user identity requires Kerberos protocol.

Security note Security
You cannot authenticate to a PowerPivot data source by selecting the Unattended Service Account and add authenticated user name in connection string option.
Important Important:
Time Intelligence is not supported for PowerPivot data sources.
To Create a PowerPivot data source connection

  1. Click the Create tab, and then click Data Source.

  2. In the Category pane of the Select a Data Source Template dialog box, click Multidimensional and then click Analysis Services. Click OK.

  3. In the left navigation pane (workspace browser), type the name of your data source.

  4. In the center pane, click the Editor tab. In the Connection Settings section, select Use the following connection.

  5. Type the connection string to the PowerPivot data source by using the following format: PROVIDER=MSOLAP;DATA SOURCE=http://contoso/Documents/PowerPivot_Sample.xlsx

  6. Select the cube from the drop-down menu. The cube name for a PowerPivot model will always be Sandbox.

  7. In the Data Source Settings section, select the method on which to authenticate to the data source.

  8. From the Formatting Dimension list, select desired dimension formatting needed for the report.

  9. From the Cache Lifetime list, type the refresh rate (in minutes) for the cache. Data from this data source will update at this interval.

  10. Click Test Connection to confirm that the connection is configured correctly.


Create scorecards by using Dashboard Designer
[image]
Create Dashboards by using PerformancePoint Services >

Applies to: SharePoint

Summary: Use PerformancePoint Dashboard Designer to create scorecards that show performance metrics.

By using PerformancePoint Dashboard Designer, you can create lots of scorecards for your dashboards. Scorecards are dashboard items that show performance for one or more metrics. Scorecards compare actual results to specified goals and express the results by using graphical indicators.

A scorecard resembles a table that usually has Target and Actual value columns and one or more key performance indicators (KPIs).

When you create a scorecard by using Dashboard Designer, you can select from several different methods:

  • You can use a wizard to set up a basic scorecard. This is useful when you are new to Dashboard Designer and you do not have many existing dashboard items that you can reuse. This method is also useful when want to quickly and easily create a scorecard.

    When you use a wizard to create a scorecard, you start by selecting the kind of data source that will be used by at least one KPI in the scorecard. You use the wizard to create the scorecard, and then you finish configuring the scorecard in the workspace.

  • You can create a blank scorecard and then manually add the KPIs and other items that you want to use in the scorecard. This is useful when you or other dashboard authors have already created one or more KPIs.

Use the resources listed in this topic to create a scorecard by using Dashboard Designer.

Articles about creating scorecards in PerformancePoint Dashboard Designer

This section contains the following articles to help you create and configure scorecards by using Dashboard Designer.

Building blocks Content | Description
Turn on or off the scorecard wizard in Dashboard Designer | Learn how to turn or (or off) the scorecard wizard feature in PerformancePoint Dashboard Designer in SharePoint Server.
Create blank scorecards by using Dashboard Designer | Learn how to create a blank scorecard by using PerformancePoint Dashboard Designer in SharePoint Server.


Turn on or off the scorecard wizard in Dashboard Designer
[image]
Create Dashboards by using PerformancePoint Services > Create scorecards by using Dashboard Designer >

Applies to: SharePoint

Summary: Learn how to turn or (or off) the scorecard wizard feature in PerformancePoint Services in SharePoint Server.

When you use PerformancePoint Dashboard Designer to create scorecards, you typically start by clicking the Create tab in the ribbon. Then, in the Dashboard Items group, you click Scorecard. Depending on how Dashboard Designer is configured, either the Select a Scorecard Template dialog box opens or a blank scorecard opens for editing.

To configure Dashboard Designer to use the Create a Scorecard wizard or to create a blank scorecard every time that you create a scorecard, follow these steps.

To turn on (or off) the Create a Scorecard wizard

  1. In Dashboard Designer, click the Office button to open the Office Backstage view.

  2. Click Designer Options to open the Options dialog box.

  3. On the Personalize tab, select (or clear) the Use wizards to create scorecards check box.

    Tip Tip:
    An alternate method that you can use is to clear the Use wizard to create scorecards check box on the Select a Scorecard Template page of the wizard. Then, the next time that you click Scorecard on the Create tab in the ribbon, a blank scorecard will open for editing.

  4. Click OK to close the Options dialog box.


Create blank scorecards by using Dashboard Designer
[image]
Create Dashboards by using PerformancePoint Services > Create scorecards by using Dashboard Designer >

Applies to: SharePoint

Summary: Learn how to create a blank scorecard by using Dashboard Designer in SharePoint Server.

When you create a blank scorecard by using Dashboard Designer, you create an empty scorecard that has no key performance indicators (KPIs) or other information. Then, you configure the scorecard to add the KPIs and other items that you want to display in the scorecard. You would typically create a blank scorecard when you and other dashboard authors have already created KPIs.

To create a KPI, see Create and configure a KPI by using Dashboard Designer.

To create a blank scorecard

  1. In Dashboard Designer, in the Workspace Browser, click PerformancePoint Content.

  2. On the Create tab, in the Dashboard Items group, click Scorecard.

  3. Depending on whether Dashboard Designer is configured to use a wizard to create scorecards, one of the following actions occurs:

    • The Select a Scorecard Template dialog box opens.

      If this occurs, select the Blank Scorecard template. Do this by using the following procedure:

      1. In the Select a Scorecard Template dialog box, in the Category section, click Standard.

      2. In the Template section, click Blank Scorecard.

      3. Click OK to close the Select a Scorecard Template dialog box, and then proceed to Step 4.

    • A blank scorecard opens for editing.

      If this occurs, proceed to Step 4.

    Tip Tip:
    You can configure Dashboard Designer to use or not to use a wizard to create scorecards. For more information, see Turn on or off the scorecard wizard in Dashboard Designer.

  4. In the center pane, click the Properties tab.

  5. In the Name box, type the name that you want to use for the scorecard.

  6. (This step is optional.) To specify a location for the scorecard, click the Display Folder button, and then select or create a folder.

  7. In the Workspace Browser, right-click the scorecard, and then click Save.

  8. Proceed to configure the scorecard to add content to it. See Edit scorecards by using Dashboard Designer.


Create PerformancePoint scorecards by using a wizard

Create PerformancePoint scorecards by using a wizard |
 | See also
[image]
Create Dashboards by using PerformancePoint Services > Create scorecards by using Dashboard Designer >

Applies to: SharePoint

Summary: Learn how to create a PerformancePoint Services scorecard for your dashboard by using a wizard.

You can create scorecards for your dashboards by using Dashboard Designer. A scorecard is a report type that shows organizational performance by displaying a collection of key performance indicators (KPIs) together with performance targets for those KPIs.

When you create a PerformancePoint scorecard, you can use a wizard to guide you through the process. When you use a wizard, you begin by selecting a template. The template that you select corresponds to the kind of data source that you plan to use for your scorecard.

Important Important:
Make sure that Dashboard Designer is configured to use a scorecard wizard. For more information, see Turn on or off the scorecard wizard in Dashboard Designer.
To select a scorecard template

  1. Identify the kind of data source that you want to use for your scorecard. The data source that you want to use will help you determine which scorecard template to select, as described in the following table.

    Data source Scorecard template

    SQL Server Analysis Services

    Analysis Services

    Tabular data source, such as one of the following:

    • An Excel Services file

    • An Excel workbook

    • A SharePoint list

    • A table that is stored in a SQL Server database

    Excel Services, Excel Workbook, SharePoint List, or SQL Server Table

    No particular data source

    Blank Scorecard or Fixed Values Scorecard

  2. Make sure that the data source that you want to use is available. Do this by using the following procedure:

    1. In Dashboard Designer, click the Home tab, and then click Refresh.

    2. In the Workspace Browser, click Data Connections.

    3. In the center pane of the workspace, review the list of data sources on the Server and Workspace tabs.

    4. Confirm that the data source that you want to use is available. If it is not listed, then you might have to create a data connection. For information about how to create a data source, see Create data connections by using PerformancePoint Services.

  3. Select the template that corresponds to your data source and follow the wizard.

See also

Create Fixed Values scorecards by using Dashboard Designer
Create tabular data scorecards by using Dashboard Designer


Create Fixed Values scorecards by using Dashboard Designer

Create Fixed Values scorecards by using Dashboard Designer |
 | See also
[image]
Create Dashboards by using PerformancePoint Services > Create scorecards by using Dashboard Designer > Create PerformancePoint scorecards by using a wizard >

Applies to: SharePoint

Summary: Learn how to create a fixed values scorecard by using Dashboard Designer.

When you use PerformancePoint Dashboard Designer to create a scorecard, you can use a wizard to guide you through the process. You begin by selecting a template. The template that you select typically corresponds to the data source for at least one key performance indicator (KPI) in the scorecard. This article describes how to create a PerformancePoint scorecard by using the Fixed Values Scorecard template. This template does not require you to use a data source. Instead, you specify the values for the scorecard while you use the wizard.

Note Note:
You can configure Dashboard Designer to use or not to use a wizard to create scorecards. To create a scorecard that uses the Fixed Values template, make sure that Dashboard Designer is configured to use a scorecard wizard. For more information, see Turn on or off the scorecard wizard in Dashboard Designer.

To create a Fixed Values scorecard by using Dashboard Designer

  1. In Dashboard Designer, in the Workspace Browser, click PerformancePoint Content.

  2. On the Create tab, in the Dashboard Items group, click Scorecard. The Select a Scorecard Template dialog box opens.

    Important Important:
    If the Select a Scorecard Template dialog box does not open and a blank scorecard opens instead, then Dashboard Designer is not configured to use a scorecard wizard. To use a scorecard template such as the Fixed Values Scorecard template, you must turn on the scorecard wizard. For more information, see Turn on or off the scorecard wizard in Dashboard Designer.

  3. In the Select a Scorecard Template dialog box, in the Category section, click Standard.

  4. In the Template section, click Fixed Values Scorecard, and then click OK.

  5. In the Select KPIs to import page, notice that a new KPI is already listed in the center pane.

    You can either continue with this one KPI, or you can add more KPIs.
  6. To add KPIs

    1. In the Select KPIs to Import page, click New KPI.

      A KPI from the data source that you selected for the scorecard appears.

    2. Continue to click New KPI until you see the KPI (or KPIs) that you want to use.

    3. To remove any KPIs from the list, select a KPI, and then click Delete Selected KPIs.

      Tip Tip:
      To select multiple KPIs, press and hold the CTRL key while you click each KPI in the list.

  7. Specify a name, banding type, and actual and target values for each KPI in the list by using the following procedure:

    To set up each KPI in the list

    1. In the KPI Name column, click the default name, and then type a new name for the KPI.

    2. In the Band Type column, use the list to select one of the following options:

      • Increasing is Better

      • Decreasing is Better

      • Closer to Target is Better

    3. In the Actual column, type a number that represents actual results. For example, if you are creating a scorecard for a sales team, you might type a sales amount in this column.

    4. In the Target column, type a number that represents the goal, or target value. For example, if you are creating a scorecard for a sales team, you might type a sales quota amount in this column.

  8. After you have created, named, and configured the KPIs that you want to use in the scorecard, click Next.

  9. On the Locations page, use the Create KPIs in list to specify a location where you want the KPIs that you created to be saved, and then click Finish.

    The scorecard opens for editing.

  10. In the center pane, click the Properties tab.

  11. In the Name box, type the name that you want to use for the scorecard.

  12. (This step is optional.) To specify a location for the scorecard, click the Display Folder button, and then select or create a folder.

  13. In the Workspace Browser, right-click the scorecard, and then click Save.

After you have created the scorecard, you can configure it. Use the following procedures to configure the scorecard and its KPIs:

  • Configure a KPI

  • Add KPIs to a scorecard by using Dashboard Designer

  • Edit scorecards by using Dashboard Designer

See also

Create reports by using Dashboard Designer
Add a KPI Details report to a dashboard by using Dashboard Designer


Create tabular data scorecards by using Dashboard Designer

Create tabular data scorecards by using Dashboard Designer |
 | See also
[image]
Create Dashboards by using PerformancePoint Services > Create scorecards by using Dashboard Designer > Create PerformancePoint scorecards by using a wizard >

Applies to: SharePoint

Summary: When you use PerformancePoint Dashboard Designer to create a scorecard, you can use a wizard to guide you through the process. You begin by selecting a template.

The template that you select typically corresponds to the data source for at least one key performance indicator (KPI) in the scorecard. This article describes how to create a PerformancePoint scorecard by using a scorecard template for Excel Services, an Excel workbook, a SharePoint list, or a SQL Server table.

Note Note:
You can configure Dashboard Designer to use or not to use a wizard to create scorecards. To create a scorecard that uses a particular template, make sure that Dashboard Designer is configured to use a scorecard wizard. For more information, see Turn on or off the scorecard wizard in Dashboard Designer.

To create a scorecard by using a tabular data source

  1. In Dashboard Designer, in the Workspace Browser, click PerformancePoint Content.

  2. On the Create tab, in the Dashboard Items group, click Scorecard. The Select a Scorecard Template dialog box opens.

    Important Important:
    If the Select a Scorecard Template dialog box does not open and a blank scorecard opens instead, then Dashboard Designer is not configured to use a scorecard wizard. To use a scorecard template such as the Excel Services template, you must turn on the scorecard wizard. For more information, see Turn on or off the scorecard wizard in Dashboard Designer.

  3. In the Select a Scorecard Template dialog box, in the Category section, click Tabular.

  4. In the Template section, select the template that corresponds to your tabular data source. Click OK.

  5. In the Select a Data Source page, select the tabular data source that you want to use, and then click Next.

  6. In the Select KPIs to Import page, you can either create KPIs that are based on measures in the data source that you selected or select existing KPIs. Depending on which option you choose, use one of the procedures in the following table.

    Option Procedure

    Create KPIs that are based on measures in the data source

             To create new KPIs

    1. In the Select KPIs to Import page, click Add KPI.

      A KPI from the data source that you selected for the scorecard appears.

    2. Continue to click Add KPI until you see the KPI (or KPIs) that you want to use.

    3. To remove any KPIs from the list, select a KPI, and then click Delete Selected KPIs.

      Tip Tip:
      To select multiple KPIs, press and hold the CTRL key while you click each KPI in the list.

    4. Click Next.

    Select existing KPIs that you and other dashboard authors have created

             To select existing KPIs

    1. In the Select KPIs to Import page, click Select KPI.

      The Select a KPI dialog box opens.

    2. In the Select a KPI dialog box, use the SharePoint Site and Workspace tabs to locate the KPI (or KPIs) that you want to use, and then click OK.

      Tip Tip:
      To select multiple KPIs, press and hold the CTRL key while you click each KPI in the list.

    3. Click Next.

  7. (This is optional.) On the Add Measure Filters page, you can add measure filters to the KPIs that you have selected or created. You use measure filters to restrict the information that you display in your scorecard. For example, suppose that you are creating a scorecard to show sales for some, but not all, geographical regions of an organization. You can use measure filters to select just the geographical regions that are of interest. You can also add time filters to show information for a particular time period, such as for the last six months or year to date.

    Note Note:
    To apply time filters, the data source that you are using for the scorecard must be configured to work with Time Intelligence.
    To add measure filters

    1. Select the Add measure filters check box to enable the Select Dimension button.

    2. In the Select a dimension for measure filters section, click Select Dimension.

      Select the dimension that you want to use, and then click OK to close the Select Dimension dialog box.

      The Select Members buttons are enabled.

      There are two Select Members buttons: one for actual values in the KPI, and one for target values.

    3. In the Select a dimension for actual measure filter section, click Select Members.

    4. In the Select Members dialog box, view the list of members that are in the dimension.

      Select the items that you want to include in your filter, and then click OK to close the Select Members dialog box.

    5. In the Select a dimension for target measure filter section, click Select Members.

    6. In the Select Members dialog box, view the list of members that are in the dimension.

      Select the items that you want to include in your filter, and then click OK to close the Select Members dialog box.

    To add time filters (this is optional)

    1. In the Enter a formula for actual measure filter box, type a Time Intelligence formula.

    2. In the Enter a formula for target measure filter box, type a Time Intelligence formula.

      Tip Tip:
      For more information about formulas that you can use, see PerformancePoint Time Intelligence quick reference.

  8. In the Add Measure Filters box, click Next.

  9. (This is optional.) On the Add Member Columns page, you can add dimension members in columns in the scorecard.

    To add column members

    1. In the Add Member Columns dialog box, select the Add column members check box to enable the Select Dimension button.

    2. Click Select Dimension to open the Select Dimension dialog box.

      Select the dimension that you want to use, and then click OK to close the Select Dimension dialog box.

      The Select Members button is enabled.

    3. Click Select Members to open the Select Members dialog box.

    4. In the Select Members dialog box, view the list of members that are in the dimension.

      Select the items that you want to include as column members in your scorecard, and then click OK to close the Select Members dialog box.

  10. In the Add Member Columns box, click Next.

    If Next is not available, then click Finish and proceed to Step 13.

  11. On the Locations page, use the Create KPIs in list to specify a location where you want any KPIs that you created or imported to be saved, and then click Finish.

    The scorecard opens for editing.

  12. In the center pane, click the Properties tab.

  13. In the Name box, type the name that you want to use for the scorecard.

  14. (This step is optional.) To specify a location for the scorecard, click the Display Folder button, and then select or create a folder.

  15. In the Workspace Browser, right-click the scorecard, and then click Save.

After you have created the scorecard, you can configure it. See Edit scorecards by using Dashboard Designer.

See also

Create and configure a KPI by using Dashboard Designer


Create an Analysis Services scorecard by using Dashboard Designer

Create an Analysis Services scorecard by using Dashboard Designer |
 | See also
[image]
Create Dashboards by using PerformancePoint Services > Create scorecards by using Dashboard Designer > Create PerformancePoint scorecards by using a wizard >

Applies to: SharePoint

Summary: Learn how to create an Analysis Services scorecard by using PerformancePoint Services Dashboard Designer.

When you use PerformancePoint Dashboard Designer to create a scorecard, you can use a wizard to guide you through the process. You begin by selecting a template. The template that you select typically corresponds to the data source for at least one key performance indicator (KPI) in the scorecard. This article describes how to create a PerformancePoint scorecard by using the Analysis Services template.

This template corresponds to SQL Server Analysis Services data sources that are available in Dashboard Designer.

Note Note:
You can configure Dashboard Designer to use or not to use a wizard to create scorecards. To create a scorecard that uses a particular template, make sure that Dashboard Designer is configured to use a scorecard wizard. For more information, see Turn on or off the scorecard wizard in Dashboard Designer.

Create a scorecard by using the Analysis Services scorecard template in Dashboard Designer

To create an Analysis Services scorecard

  1. In Dashboard Designer, in the Workspace Browser, click PerformancePoint Content.

  2. On the Create tab, in the Dashboard Items group, click Scorecard.

    Important Important:
    If the Select a Scorecard Template dialog box does not open and a blank scorecard opens instead, then Dashboard Designer is not configured to use a scorecard wizard. To use a scorecard template such as the Analysis Services template, you must turn on the scorecard wizard. For more information, see Turn on or off the scorecard wizard in Dashboard Designer.

  3. In the Select a Scorecard Template dialog box, in the Category section, click Microsoft.

  4. Select Analysis Services.

  5. Click OK.

  6. In the Select a Data Source page, select the Analysis Services data source that you want to use, and then click Next.

  7. In the Select a KPI Source page, select from one the following options, and then click Next:

    • Create KPIs from SQL Server Analysis Services measures. This option enables you to create a list of potential KPIs or to select existing KPIs that are based on measures in the Analysis Services cube.

    • Import SQL Server Analysis Services KPIs. This option enables you to copy any KPIs that have been defined in the Analysis Services cube into Dashboard Designer.

  8. Depending on which option you selected in Step 7, use one of the procedures in the following table.

    Option Procedure

    Create KPIs from SQL Server Analysis Services measures

    You can either create KPIs that are based on measures in the Analysis Services cube, or select existing KPIs.

    To create new KPIs

    1. In the Select KPIs to Import page, click Add KPI.

      A KPI from the data source that you selected for the scorecard appears.

    2. Continue to click Add KPI until you see the KPI (or KPIs) that you want to use.

    3. To remove any KPIs from the list, select a KPI, and then click Delete Selected KPIs.

      Tip Tip:
      To select multiple KPIs, press and hold the CTRL key while you click each KPI in the list.

    4. Click Next.
    To select existing KPIs

    1. In the Select KPIs to Import page, click Select KPI.

      The Select a KPI dialog box opens.

    2. In the Select a KPI dialog box, use the SharePoint Site and Workspace tabs to locate the KPI (or KPIs) that you want to use, and then click OK.

      Tip Tip:
      To select multiple KPIs, press and hold the CTRL key while you click each KPI in the list.

    3. Click Next.

    Import SQL Server Analysis Services KPIs

            To import KPIs

    1. In the Select KPIs to Import page, wait for the list of any KPIs that have been defined in the Analysis Services cube to appear.

      Tip Tip:
      The number of KPIs that might appear depends on the data source that you are using. For example, you might see only one KPI, or there might be no KPIs. If you do not see a KPI that you want to use, click the Previous button, select the Create KPIs from SQL Server Analysis Services measures, and then click Next.

    2. In the Import column, select the check box for each KPI that you want to use.

    3. Click Next.

  9. (This is optional.) On the Add Measure Filters page, you can add measure filters to the KPIs that you have selected or created. You use measure filters to restrict the information that you display in your scorecard. For example, suppose that you are creating a scorecard to show sales for some, but not all, geographical regions of an organization. You can use measure filters to select just the geographical regions that are of interest. You can also add time filters to show information for a particular time period, such as for the last six months or year to date.

    Note Note:
    To apply time filters, the Analysis Services cube that you are using for the scorecard must be configured to work with Time Intelligence. For more information, see Configure Analysis Services data source time settings by using Dashboard Designer.
    To add measure filters

    1. Select the Add measure filters check box to enable the Select Dimension button.

    2. Click the Select Dimension button to open the Select Dimension dialog box.

      Select the dimension hierarchy that you want to use, and then click OK to close the Select Dimension dialog box.

      The Select Members buttons are enabled.

      There are two Select Members buttons: one for actual values in the KPI, and one for target values.

    3. In the Select a dimension for actual measure filters section, click Select Members to open the Select Members dialog box.

    4. In the Select Members dialog box, use the expandable tree control to view the list of members that are in the dimension hierarchy.

      Select the items that you want to include in your filter, and then click OK to close the Select Members dialog box.

    5. In the Select a dimension for target measure filters section, click Select Members to open the Select Members dialog box.

    6. In the Select Members dialog box, use the expandable tree control to view the list of members that are in the dimension hierarchy.

      Select the items that you want to include in your filter, and then click OK to close the Select Members dialog box.

    To add time filters (this is optional)

    1. In the Enter a formula for actual measure filter box, type a Time Intelligence formula.

    2. In the Enter a formula for target measure filter box, type a Time Intelligence formula.

    Tip Tip:
    For more information about formulas that you can use, see PerformancePoint Time Intelligence quick reference.

  10. In the Add Measure Filters box, click Next.

  11. (This is optional.) On the Add Member Columns page, you can add dimension members in columns in the scorecard.

    To add column members

    1. In the Add Member Columns dialog box, select the Add column members check box to enable the Select Dimension button.

    2. Click the Select Dimension button to open the Select Dimension dialog box.

      Select the dimension hierarchy that you want to use, and then click OK to close the Select Dimension dialog box.

      The Select Members button is enabled.

    3. Click Select Members to open the Select Members dialog box.

    4. In the Select Members dialog box, use the expandable tree control to view the list of members that are in the dimension hierarchy.

      Select the items that you want to include as column members in your scorecard, and then click OK to close the Select Members dialog box.

  12. In the Add Member Columns box, click Next.

  13. On the Locations page, use the Create KPIs in list to specify a location where you want any KPIs that you created or imported to be saved, and then click Finish.

    The scorecard opens for editing.

  14. In the center pane, click the Properties tab.

  15. In the Name box, type the name that you want to use for the scorecard.

  16. (This step is optional.) To specify a location for the scorecard, click the Display Folder button, and then select or create a folder.

  17. In the Workspace Browser, right-click the scorecard, and then click Save.

After you have created the scorecard, you can configure it. Use the following procedures to configure the scorecard and its KPIs:

  • Configure a KPI

  • Add KPIs to a scorecard by using Dashboard Designer

  • Edit scorecards by using Dashboard Designer

See also

Create reports by using Dashboard Designer
Add a KPI Details report to a dashboard by using Dashboard Designer


Create and configure a KPI by using Dashboard Designer

Create and configure a KPI by using Dashboard Designer |
 | See also
[image]
Create Dashboards by using PerformancePoint Services > Create scorecards by using Dashboard Designer >

Applies to: SharePoint

Summary: Learn how to create a Key Performance Indicator (KPI) with PerformancePoint Dashboard Designer in SharePoint Server.

In PerformancePoint Services in SharePoint Server 2013, a key performance indicator (KPI) is a scorecard element that shows at a glance whether performance is on- or off-target for a particular metric. KPIs can vary greatly in their appearance and complexity, but KPIs typically calculate how actual values compare to target values and indicate performance by using a graphical indicator.

By using Dashboard Designer, you can easily create and configure basic KPIs for your dashboard. You can extend those KPIs by configuring them to use additional functionality, such as calculated metrics, dimension filters, and trend indicators.

Create a KPI

By using Dashboard Designer, you can create a KPI by either importing a KPI from a database, such as SQL Server Analysis Services, or by using the Create a KPI wizard in Dashboard Designer.

To import a KPI by using the Create a Scorecard wizard

  1. In Dashboard Designer, in the Workspace Browser, click PerformancePoint Content.

  2. On the ribbon, click the Create tab.

  3. On the ribbon, in the Dashboard Items group, click Scorecard.

    The Select a Scorecard Template dialog box opens.

  4. In the Category pane, click All. In the Template pane, select the template that corresponds to the kind of data your plan to use for the scorecard. Click OK.

    Note Note:
    Do not select Blank Scorecard or Fixed Values Scorecard. Those templates contain no KPIs.

  5. In the Select a data source page, review the list of data sources on the SharePoint Site and Workspace tabs. Select the data source that you want to use, and then click Next.

    Note Note:
    If the data source that contains the KPI(s) that you want to use is not listed, then you might have to create a data connection. See Create data connections by using PerformancePoint Services.

  6. If you selected the Analysis Services scorecard template, the Select a KPI Source page opens. (Otherwise, proceed to step 7.)

    Select the Create KPIs from SQL Server Analysis Services measures option, and then click Next.

  7. In the Select KPIs to Import page, select the KPI (or KPIs) that you want to use by following these steps:

    1. Click Add KPI.

      A KPI from the data source that you selected for the scorecard appears.

    2. Continue clicking Add KPI until you see the KPI (or KPIs) that you want to use.

    3. To remove any KPIs from the list, select a KPI and then click Delete Selected KPIs.

      Tip Tip:
      To select multiple KPIs, press and hold the CTRL key while you click each KPI in the list.

    4. Click Next.

  8. On the Add Measure Filters page, click Next.

  9. On the Add Member Columns page, click Next.

  10. On the Locations page, confirm that the correct location is specified in the Create KPIs in list, and then click Finish.

The KPI (or KPIs) that you have imported can now be configured.

To create a KPI by using the Create a KPI wizard

  1. In Dashboard Designer, in the Workspace Browser, click PerformancePoint Content.

  2. On the ribbon, click the Create tab.

  3. On the ribbon, in the Dashboard Items group, click KPI.

    The Select a KPI Template dialog box opens.

  4. In the Template pane, select either the Blank KPI or Objective template, and then click OK.

    • Select Blank KPI to create a single KPI.

    • Select Objective to create a KPI that serves as a heading for a group of other KPIs.

    Tip Tip:
    The main difference between the two KPI templates is in their default calculation method. By default, an Objective KPI uses no calculation, and a Blank KPI uses a normalized weighted score calculation. However, you can specify the calculation method that is used by the KPI, regardless of which template that you selected.

The KPI that you have created opens for editing in the workspace where you can configure it.

Configure a basic KPI

After you have created or imported a KPI, your next step is to configure it to measure performance. Begin with a KPI for that is open for editing, and then use the Editor tab to configure it.

To open a KPI for editing

  1. In Dashboard Designer, locate the Workspace Browser on the left side of the window, and then click PerformancePoint Content. The center pane displays two tabs: SharePoint and Workspace.

  2. Locate a KPI that you want to configure.

  3. Double-click the KPI that you want to configure to open it for editing.
To configure a basic KPI

  1. In the center pane, on the Editor tab, notice two sections: the Actual and Targets section, and the Thresholds section.

    • The Actual and Targets section is where you configure the names of the metrics, numeric formatting, kind of indicator, data source, and calculation settings that are used by the KPI.

    • The Thresholds section is where you configure the indicator and scoring settings that will be used by the KPI.

      The Thresholds section is enabled when you click a column in a Target value.

  2. Configure the Actual value for a basic KPI by specifying the name, number formatting, data mapping, and calculation settings for that value.

    To configure the Actual value for a basic KPI

    1. To edit the name of the Actual value, in the Name column, click the current name of that value to highlight its text, and then type a new name.

    2. To specify how numeric values are displayed in a scorecard, take the following steps:

      1. In the Number Format column, click the hypertext to open the Format Numbers dialog box.

      2. Specify the format and other settings that you want to use for the value in the KPI.

      3. Click OK to close the Format Numbers dialog box.

    3. To specify the data source that you want to use for an Actual value, take the following steps:

      1. In the Data Mappings column, click the hypertext. A Data Source Mapping dialog box opens.

        Depending on how the KPI was created, the Data Source Mapping dialog box will be one of the following:

        • Fixed Values Data Source Mapping dialog box

        • Dimensional Data Source Mapping dialog box

      2. Click Change Source to open the Select a Data Source dialog box.

      3. Select the data source that you want to use, and then click OK.

    4. To specify calculation settings for the Actual value, take the following steps:

      1. In the Calculation column, click the hypertext to open the Calculation dialog box.

      2. Select the kind of calculation that you want to use, and then click OK.

  3. Configure the Target value for a basic KPI by specifying the name, number formatting, data mapping, indicator, and calculation settings for that value.

    To configure the Target value for a basic KPI

    1. To edit the name of the Target value, in the Name column, click the current name of that value to highlight its text, and then type a new name.

    2. To specify which value to compare to the Target value, use the Compare to list to select an Actual value.

    3. To specify how numeric values are displayed in a scorecard, take the following steps:

      1. In the row that contains the Target value, in the Number Format column, click the hypertext to open the Format Numbers dialog box.

      2. Specify the format and other settings that you want to use for the value in the KPI.

      3. Click OK to close the Format Numbers dialog box.

    4. To configure the indicator and scoring settings that are used by each Target value, take the following steps:

      1. In the Target row, click the cell in the Indicators column.

        The Thresholds pane is enabled.

      2. In the Thresholds pane, verify that the correct settings are used for the various threshold values.

      3. To make any changes to the indicator and scoring settings, click Set Scoring Pattern and Indicator to open the Edit Banding Settings wizard.

      4. Use the wizard to specify the scoring pattern, indicator, and worst value for the KPI.

    5. To specify the data source that you want to use for a Target value, take the following steps:

      1. In the Data Mappings column, click the hypertext. A Data Source Mapping dialog box opens.

        Depending on how the KPI was created, the Data Source Mapping dialog box will be one of the following:

        • Fixed Values Data Source Mapping dialog box

        • Dimensional Data Source Mapping dialog box

      2. Click Change Source to open the Select a Data Source dialog box.

      3. Select the data source that you want to use, and then click OK.

    6. To specify calculation settings for the Target value, take the following steps:

      1. In the Calculation column, click the hypertext to open the Calculation dialog box.

      2. Select the kind of calculation that you want to use, and then click OK.

  4. Give the KPI a name, and save it.

    To name and save the KPI

    1. In the center pane, click the Properties tab.

    2. In the Name box, type the name that you want to use for the KPI.

    3. (This step is optional.) To specify a location for the KPI, click the Display Folder button, and then select or create a folder.

    4. In the Workspace Browser, right-click the KPI, and then click Save.

The KPI is now available for you and other dashboard authors to use in PerformancePoint scorecards. You can also extend it by additionally configuring the KPI. For more information, see Extend a PerformancePoint KPI.

See also

Create scorecards by using Dashboard Designer

Extend a PerformancePoint KPI


Edit scorecards by using Dashboard Designer

Edit scorecards by using Dashboard Designer |
 | See also
[image]
Create Dashboards by using PerformancePoint Services > Create scorecards by using Dashboard Designer >

Applies to: SharePoint

Summary: After you and other dashboard authors have created scorecards by using PerformancePoint Dashboard Designer, you can then edit those scorecards to display information in a particular way.

Some examples of the kinds of changes that you can make to a scorecard include the following:

  • Change the toolbar and other viewing options for scorecard users. You can enable or disable the scorecard toolbar and configure other kinds of display settings for a scorecard.

  • Add items, such as key performance indicators (KPIs) or dimension members to a scorecard.

  • Create or change the hierarchical structure of information in a scorecard. You can configure a hierarchical structure for KPIs and dimension members in a scorecard.

Articles about editing scorecards by using Dashboard Designer

Read the articles in the following table to edit a scorecard.

Task | Article
Add KPIs to a scorecard | Add KPIs to a scorecard by using Dashboard Designer
Add dimension members to a scorecard | Add dimension members to a scorecard by using Dashboard Designer

See also

Create scorecards by using Dashboard Designer


Add KPIs to a scorecard by using Dashboard Designer

Add KPIs to a scorecard by using Dashboard Designer |
 | See also
[image]
Create Dashboards by using PerformancePoint Services > Create scorecards by using Dashboard Designer > Edit scorecards by using Dashboard Designer >

Applies to: SharePoint

Summary: Learn how to add a Key Performance Indicator (KPI) to a scorecard by using PerformancePoint Dashboard Designer in SharePoint Server.

When you create a PerformancePoint scorecard, the scorecard typically contains at least one key performance indicator (KPI). Use Dashboard Designer to add more KPIs to the scorecard. A scorecard can contain multiple KPIs that use the same or different data sources.

To add a KPI to a scorecard

  1. In Dashboard Designer, locate the Workspace Browser on the left side of the window, and then click PerformancePoint Content. The center pane displays two tabs: SharePoint and Workspace.

  2. Locate and double-click to open the scorecard that you want to change.

  3. In the center pane, click the Editor tab.

  4. In the Details pane, expand KPIs, and then locate the KPI that you want to add.

    Note Note:
    If the KPI that you want to add is not displayed, take the following steps:

    1. In Dashboard Designer, locate the Workspace Browser on the left side of the window, and then click PerformancePoint Content. The center pane displays two tabs: SharePoint and Workspace.

    2. Locate the KPI that you want to add to a scorecard.

    3. Double-click the KPI to open it for editing.

    4. Return to Step 1 to reopen the scorecard that you want to edit.

  5. From the Details pane, expand KPIs, and then drag a KPI to the scorecard.

    You can put a KPI on rows or columns in the scorecard.

  6. Repeat for each KPI that you want to add.

  7. On the Edit tab, in the View group, click Update to display the changes that you made to the scorecard.

  8. In the Workspace Browser, right-click the scorecard, and then click Save.

See also

Create scorecards by using Dashboard Designer
Create and configure a KPI by using Dashboard Designer
Create or change hierarchical structures in scorecards by using Dashboard Designer in SharePoint Server
Edit scorecards by using Dashboard Designer


Add dimension members to a scorecard by using Dashboard Designer

Add dimension members to a scorecard by using Dashboard Designer |
 | See also
[image]
Create Dashboards by using PerformancePoint Services > Create scorecards by using Dashboard Designer > Edit scorecards by using Dashboard Designer >

Applies to: SharePoint

Summary: Learn how to add dimension members to a PerformancePoint Services scorecard in SharePoint Server 2013.

When you create a PerformancePoint scorecard, the scorecard typically contains at least one key performance indicator (KPI). The scorecard might not contain dimension members. You can use PerformancePoint Dashboard Designer to add one or more dimension members to the scorecard.

Important Important:
A scorecard can contain multiple KPIs that use the same or different data sources. To add one or more dimension members to a scorecard, the scorecard must contain at least one KPI that uses the same data source as the dimension members that you want to add. Before you begin the following procedure, make sure that the scorecard contains at least one KPI that uses the data source that contains the dimension members that you want to use. For more information about how to add a KPI to a scorecard, see Add KPIs to a scorecard by using Dashboard Designer.
Make sure that the scorecard KPIs do not contain dimension filters for the same dimension as the dimension members that you are adding to the scorecard. For example, suppose that the scorecard contains a KPI to show sales performance, and that KPI contains dimension filters to display information for certain product categories. Then, suppose that the dimension members that you want to add to the scorecard contain product categories. Before you add the dimension members to the scorecard, you must make sure that you remove the dimension filter on the KPI. Otherwise, the Decomposition Tree option will be disabled for the scorecard.
To add dimension members to a PerformancePoint scorecard

  1. In Dashboard Designer, locate the Workspace Browser on the left side of the window, and then click PerformancePoint Content. The center pane displays two tabs: SharePoint and Workspace.

  2. Double-click the scorecard that you want to change to open it.

  3. In the center pane, click the Editor tab.

  4. In the Details pane, expand Dimensions, and then locate the dimension hierarchy that you want to add.

    Note Note:
    If the dimension hierarchy that you want to use is not displayed, make sure that the scorecard contains at least one KPI that uses the data source that contains the dimension members that you want to use. For more information about how to add a KPI to a scorecard, see Add KPIs to a scorecard by using Dashboard Designer.
    Then, in the Details pane, in the Data Source section, use the list to select the data source that contains the dimension hierarchy that you want to use.

  5. From the Details pane, expand Dimensions, and then drag a dimension hierarchy to the scorecard.

    The Select Members dialog box opens.

    Tip Tip:
    You can put dimension members in rows or columns in the scorecard. In addition, you can put dimension members underneath a KPI.
    As you drag a dimension hierarchy to the scorecard, small blue arrows will appear in the scorecard to show you approximately where the dimension members will be positioned. For example, if the dimension members will be at the same level as a KPI, arrows pointing downward will appear. If the dimension members will be nested underneath a KPI, arrows pointing to the right side of the KPI will appear.

  6. For each dimension hierarchy that you add to the scorecard, you can either keep the default selection (this is typically All) or select the dimension members that you want to display.

    To select individual dimension members

    1. In the Select Members dialog box, use the expandable tree control to view the list of members that are in the dimension hierarchy.

    2. Select the items that you want to display in your scorecard.

      Tip Tip:
      To select a group of items at the same time, right-click the top-level dimension in the tree, and then click an available option, such as Select Children or Autoselect Members.

    3. Click OK.

      The Select Members dialog box closes and your scorecard updates to display the members that you selected.

  7. On the Edit tab, in the View group, click Update to refresh the scorecard.

  8. In the Workspace Browser, right-click the scorecard, and then click Save.

See also

Create scorecards by using Dashboard Designer
Create and configure a KPI by using Dashboard Designer
Edit scorecards by using Dashboard Designer


Configure view settings for a scorecard by using Dashboard Designer

Configure view settings for a scorecard by using Dashboard Designer |
 | See also
[image]
Create Dashboards by using PerformancePoint Services > Create scorecards by using Dashboard Designer > Edit scorecards by using Dashboard Designer >

Applies to: SharePoint

Summary: Learn how to configure settings for a scorecard within PerformancePoint Dashboard Designer in SharePoint Server.

By using PerformancePoint Dashboard Designer, you can configure view settings for a scorecard. These settings control how a scorecard behaves in a PerformancePoint dashboard. For example, you can control the level of interactivity in a scorecard by enabling or disabling the ability for users to leave comments in a scorecard. You can also specify whether to display a scorecard toolbar, and which toolbar commands to display.

To configure view settings for a PerformancePoint scorecard

  1. In Dashboard Designer, locate the Workspace Browser on the left side of the window, and then click PerformancePoint Content. The center pane displays two tabs: SharePoint and Workspace.

  2. Locate a scorecard for which you want to configure view settings.

  3. Double-click the scorecard that you want to change to open it for editing.

  4. In the center pane, click the Editor tab.

  5. On the Edit tab, in the View group, click Settings.

    The View Settings dialog box appears. There, you can configure the view settings that you want to use for the scorecard.

  6. To control the level of interactivity in the scorecard, in the View Settings dialog box, select Interactivity in the navigation pane. Then, select or clear the options that you want to enable or disable, as shown in the following table.

    Interactivity section Option Description

    Allow

    Expand/collapse (+/-)

    Select this option to enable dashboard authors and users to expand and collapse scorecard rows and columns.

    Row members

    Select this option to enable dashboard authors and users to expand and collapse scorecard rows.

    Column members

    Select this option to enable dashboard authors and users to expand and collapse scorecard columns.

    Comments

    Select this option to enable dashboard authors and users to leave comments in scorecard cells.

    Important Important:
    Before you select the Comments option, verify that "Enable comments" is selected in Central Administration settings for PerformancePoint Services. Otherwise, users might receive an error message when they try to leave comments.

    Allow once deployed

    Drill down

    Select this option to enable dashboard users to drill down to see lower levels of detail in scorecard rows and columns.

    Row members

    Select this option to enable dashboard users to drill down on data in scorecard rows.

    Column members

    Select this option to enable dashboard users to drill down on data in scorecard columns.

    Show details

    Select this option to enable dashboard users to view transaction-level details for a particular scorecard value.

    Note Note:
    In a dashboard, the Show Details command is available only for scorecard cells that contain data that is stored in SQL Server Analysis Services and do not contain calculated values.

    Filter by status

    Select this option to enable dashboard users to filter the information that is displayed in a scorecard by key performance indicator (KPI) status.

    Filter

    Select this option to enable dashboard users to apply filters, such as Top 10 and Value Filters to a scorecard.

    Sort

    Select this option to enable dashboard users to sort rows or columns in a scorecard.

  7. To control the display settings for the scorecard, in the View Settings dialog box, select Display in the navigation pane. Then, select or clear the options that you want to enable or disable, as shown in the following table.

    Display section Option Description

    Show

    Actual and target headers

    Select this option to display Actual and Target headings in the scorecard.

    Wrapped text in cells

    Select this option to wrap text in scorecard cells. This is useful for row or column members that have longer names.

    Gridlines

    Select this option to display gridlines in a scorecard.

    Messages

    Empty cells

    Select this option to specify what should be displayed in empty scorecard cells.

    If you select the Empty cells option, type the text that you want to display in the Empty cells box.

    Error cells

    Select this option to specify what should be displayed in scorecard cells that have errors.

    The default text is Error. To edit the text, delete the default text and type the text that you want to display in the Error cells box.

  8. To control the display settings for the scorecard, in the View Settings dialog box, select Toolbar in the navigation pane. Then, select or clear the options that you want to enable or disable, as shown in the following table.

    Option Description

    Show scorecard toolbar

    Select this option to display the scorecard toolbar.

    When you select this option, all of the following options are automatically selected. You can keep these selections to clear them to control which toolbar commands are displayed in the scorecard toolbar.

    Similarly, if you select any of the following options, the Show scorecard toolbar option will be selected.

    Filter by Status

    Select this option to display the Filter by Status toolbar command in the scorecard toolbar. This enables dashboard users to view only the KPIs that have a particular status, such as those that are on or off target.

    Default Rollup (average weighted)

    Select this option to display the Default Rollup toolbar command in the scorecard toolbar. This enables dashboard users to view overall performance for objective KPIs based on average weighted values in the scorecard.

    For example, suppose that the scorecard contains an objective KPI that has multiple KPIs nested underneath the objective KPI. If a dashboard user uses the Default Rollup toolbar command, the objective KPI will show overall performance that is based on a weighted average of the nested KPIs.

    Worst Indicator Rollup

    Select this option to display the Worst Indicator Rollup toolbar command in the scorecard. This enables dashboard users to see whether any KPIs in an objective KPI are off target.

    For example, suppose that the scorecard contains an objective KPI that has three KPIs nested underneath the objective KPI. Suppose also that two of those KPIs show that performance is on target, and the third KPI indicates performance is off target. If a dashboard user uses the Worst Indicator Rollup toolbar command, the objective KPI will show performance as off target, based on the status of the third KPI.

    Indicator Count Rollup

    Select this option to display the Indicator Count Rollup toolbar command in the scorecard. This enables dashboard users to see how many KPIs are in each kind of status for a given objective KPI.

    For example, suppose that the scorecard contains an objective KPI that has four KPIs nested underneath the objective KPI. Suppose also that one KPI shows that performance is off target, and three show that performance is on target. If a dashboard user uses the Indicator Count Rollup toolbar, objective KPI will summarize that information by displaying numeric totals for each indicator.

    Show as Tree

    Select this option to display the Show as Tree toolbar command in the scorecard. This enables dashboard users to switch between a hierarchical view or a flatter, tabular view of the scorecard.

    Collapse All

    Select this option to display the Collapse All toolbar command in the scorecard. This enables dashboard users to collapse rows in the scorecard and view only high-level information.

    Expand All

    Select this option to display the Expand All toolbar command in the scorecard. This enables dashboard users to expand rows in the scorecard to view lower levels of information.

    Show Inline Text

    Do not use this option. It does not work in the current version of PerformancePoint Services.

  9. To control the display settings for the scorecard, in the View Settings dialog box, select Filters in the navigation pane. Then, select or clear the options that you want to enable or disable, as shown in the following table.

    Option Description

    Filter empty rows

    Select this option to prevent empty rows from displaying in the scorecard.

    Filter by status

    Select any of the following options to display only the KPIs that have the status that you select.

    • On Target

    • Slightly Off Target

    • Off Target

  10. After you have specified the display options that you want to use for the scorecard, in the View Settings dialog box, click OK.

  11. On the Edit tab, in the View group, click Update to display the changes that you made to the scorecard.

  12. In the Workspace Browser, right-click the scorecard, and then click Save.

See also

Edit scorecards by using Dashboard Designer
Create scorecards by using Dashboard Designer
Create and configure a KPI by using Dashboard Designer


Create or change hierarchical structures in scorecards by using Dashboard Designer in SharePoint Server

Create or change hierarchical structures in scorecards by using Dashboard Designer in SharePoint Server |
 | See also
[image]
Create Dashboards by using PerformancePoint Services > Create scorecards by using Dashboard Designer > Edit scorecards by using Dashboard Designer >

Applies to: SharePoint

Summary: Learn how to create or change hierarchical structures in scorecards by using PerformancePoint Dashboard Designer.

After you create a PerformancePoint scorecard that contains multiple key performance indicators (KPIs), you use PerformancePoint Dashboard Designer to create or configure a hierarchical structure for the scorecard. You can promote or demote individual KPIs, and configure the position of a KPI in an existing hierarchy.

KPIs can be organized into one of three categories: objective KPIs, non-leaf KPIs, and leaf-level KPIs.

  • Objective KPIs An objective KPI is a KPI that has non-leaf KPIs indented under it, or a combination of non-leaf KPIs and leaf-level KPIs.

    An objective KPI states performance for an overall goal, because it rolls up related KPI scores into a single summary indicator.

  • Non-leaf KPIs A non-leaf KPI is a KPI that has leaf-level KPIs that are indented under it.

    A non-leaf KPI heads a group of closely related measures, and it aggregates the values of the leaf-level KPIs that are in the group.

  • Leaf-level KPIs A leaf-level KPI is at the lowest level of a scorecard hierarchy. It has no KPIs under it in the hierarchy.

    A leaf-level KPI reflects a single performance measure, because it compares actual performance for a single measure to its target value.

The following image shows two objective KPIs, two non-leaf KPIs, and several leaf-level KPIs.

PerformancePoint scorecard showing multiple KPIs

In this image, the Financial Perspective and Increase Shareholder Value KPIs are objective KPIs that show overall performance that is based on the KPIs that are indented under it. The Productivity and Growth KPIs are non-leaf KPIs that each head a group of leaf-level KPIs. The leaf-level KPIs are Expense as % of Revenue, Asset Utilization, Revenue Growth, Gross Margin %, and Revenue Growth New Products.

You can also add dimension members to a scorecard, and you can nest them underneath a KPI. For more information, see Add dimension members to a scorecard by using Dashboard Designer.

Note Note:
Before you begin to promote or demote KPIs in a scorecard, make sure that the scorecard contains multiple KPIs. For more information, see Create and configure a KPI by using Dashboard Designer and Add KPIs to a scorecard by using Dashboard Designer.
To promote or demote a KPI in a scorecard hierarchy

  1. In Dashboard Designer, locate the Workspace Browser on the left side of the window, and then click PerformancePoint Content. The center pane displays two tabs: SharePoint and Workspace.

  2. Double-click the scorecard that you want to change to open it.

  3. In the center pane, click the Editor tab.

  4. Click the Edit tab.

  5. Make sure the KPIs are in the correct order in the scorecard. To move the KPI up or down in the scorecard, follow these steps:

    1. In the scorecard, click a KPI to select it.

    2. On the ribbon, in the Header group, use the Move Up or Move Down toolbar commands.

      Each time that you click a Move Up or Move Down toolbar command, the KPI that you selected moves one row up or down in the scorecard.

    3. Repeat until all the KPIs are in the order that you want them in the scorecard.

  6. Verify that the KPIs that you want to promote or demote are configured to use the correct calculations. For example, an objective or non-leaf KPI uses No value for its calculation setting, whereas a leaf-level KPI uses another calculation setting, such as Default, which is a normalized weighted score calculation. For more information about how to view or configure calculation settings for a KPI, see Configure a KPI.

  7. After you have confirmed that all the KPIs are in the correct order and use the correct calculation settings, you are ready to begin promoting or demoting KPIs. Use the following procedure:

    1. In the scorecard, click a KPI to select it.

    2. On the ribbon, in the Header group, use the Decrease Indent or Increase Indent toolbar commands to promote or demote the KPI.

    3. Repeat for each KPI in the scorecard.

  8. On the Edit tab, in the View group, click Update to display the changes that you made to the scorecard.

  9. In the Workspace Browser, right-click the scorecard, and then click Save.

See also

Create scorecards by using Dashboard Designer
Edit scorecards by using Dashboard Designer
Create and configure a KPI by using Dashboard Designer


Create reports by using Dashboard Designer

Create reports by using Dashboard Designer |
 | See also
[image]
Create Dashboards by using PerformancePoint Services >

Applies to: SharePoint

Summary: Using PerformancePoint Dashboard Designer, you can create many kinds of reports for your dashboard. Examples of report types include analytic charts and grids, Excel Services reports, strategy maps, and many other kinds of reports.

Articles about how to create reports by using Dashboard Designer

Read the following articles to learn how to create reports for your PerformancePoint dashboard.

Building blocks Content | Description
Create a KPI Details report by using Dashboard Designer | Create a KPI Details report that is connected to a scorecard to display information about KPI values and properties in a dashboard.
Create Excel Services reports by using Dashboard Designer | Create a PerformancePoint Web Part to display an existing Excel Services report.
Create strategy maps by using Dashboard Designer | Create a strategy map that is connected to a scorecard to show relationships between objectives, goals, and key performance indicators (KPIs).

See also

Assemble dashboard pages and link items together by using Dashboard Designer


Create a KPI Details report by using Dashboard Designer

Create a KPI Details report by using Dashboard Designer |
 | See also
[image]
Create Dashboards by using PerformancePoint Services > Create reports by using Dashboard Designer >

Applies to: SharePoint

Summary: Learn how to create a Key Performance Indicator (KPI) report by using Dashboard Designer.

Using PerformancePoint Dashboard Designer, you can create a KPI Details report for your dashboard. KPI Details reports are used to show additional information about the KPIs and other items that are in a scorecard. The KPI Details report serves as a companion to a scorecard. This means that a KPI Details report is not used in a dashboard without its accompanying scorecard on the same dashboard page.

You can create a single KPI Details report and then reuse it in multiple dashboards.

To create a KPI Details report by using Dashboard Designer

  1. In the ribbon, click the Create tab. Then, in the Reports group, click KPI Details.

    The report opens for editing.

  2. In the center pane, click the Editor tab. There, you can specify the information that you want to display in the report.

    KPI section Option Description

    Cell Context Information

    Show cell context information

    Select this option to display the following information:

    • Metric

    • Measure

    • Row Path, which corresponds to the scorecard row that was clicked.

    • Column Path, which corresponds to the scorecard column that was clicked.

    Expand cell context sections by default

    By default, this option is selected. It causes the KPI Details report to be expanded to display the information that you specify.

    Show Indicator Options

    Show status graph

    Do not use this option. It does not work in the current version of PerformancePoint Services.

    Show indicator graphic

    Do not use this option. It does not work in the current version of PerformancePoint Services.

    Show Details Information

    Show actual

    Select this option to display actual values when cells in the scorecard's Target column are clicked.

    Show calculation

    Select this option to display how scores are calculated and what banding method is used by the KPI that was clicked.

    KPIs use one of the following calculations:

    • Increasing is better

    • Decreasing is better

    • Closer to target is better

    Show score

    Select this option to show raw scores when cells in the scorecard's Target column are clicked.

    Show threshold grid

    Select this option to determine whether to show the threshold grid when cells in the scorecard's Target column are clicked.

    The threshold grid includes the following information:

    • The kind of indicator that is used by the KPI that was clicked

    • A table showing the different thresholds and performance for a KPI.

    When you select Show threshold grid, you must also select one of the following two options:

    • Percentage threshold values

    • Target values adjusted for indicator threshold percentages

    For metrics with normalized weighted value, show Percentage values

    Select this option to display performance in percentages in the threshold grid.

    For metrics with normalized weighted value, show Target values adjusted for indicator threshold percentages

    Select this option to display performance in numeric values in the threshold grid.

    Show variance

    Select this option to show the variance from the next status threshold.

    For example, if performance is slightly off target for a particular metric, the variance would be how far away the metric is from being on target.

    Additional information

    Show Description

    Select this option to display any text that was entered in the Description box for a KPI (visible on the Properties tab for a KPI in Dashboard Designer).

    Show Comments

    Select this option to display any comments or annotations that have been added to a scorecard.

    Depending on whether comments (or annotations) are enabled in the SharePoint Central Administration Web site, both dashboard authors and dashboard consumers can add comments to a scorecard.

    • Dashboard authors can open a scorecard for editing in Dashboard Designer and add comments by using the Edit tab.

    • Dashboard users can add comments to a scorecard in its SharePoint site by right-clicking a cell, and then clicking Comments.

    Show KPI Properties

    Select this option to display any custom properties that might have been created for each KPI (visible on the Properties tab for a KPI in Dashboard Designer).

    Show Person Responsible

    Select this option to display information about the person who is responsible for the KPI status (which is visible on the Properties tab for a KPI in Dashboard Designer).

  3. In the center pane, click the Properties tab.

  4. In the Name box, type the name that you want to use for the report.

  5. (This step is optional.) To specify a location for the report, click the Display Folder button, and then select or create a folder.

  6. In the Workspace Browser, right-click the report, and then click Save.

After you have created the KPI Details report, you can add it to a dashboard page and connect it to a scorecard. For more information, see Add a KPI Details report to a dashboard by using Dashboard Designer.

See also

Create and assemble a dashboard page by using Dashboard Designer
Create scorecards by using Dashboard Designer


Create Excel Services reports by using Dashboard Designer
[image]
Create Dashboards by using PerformancePoint Services > Create reports by using Dashboard Designer >

Applies to: SharePoint

Summary: Learn how to create an Excel Services report by using PerformancePoint Dashboard Designer in SharePoint Server 2013.

By using Dashboard Designer, you can create Excel Services reports for your dashboards. An Excel Services report is an Excel workbook that was published to SharePoint Server by using Excel Services. Most Excel Services reports contain one or more charts and tables. When you add an Excel Services report to a PerformancePoint dashboard, you reuse an existing report that can contain views, such as PivotTable reports and PivotChart reports, which you cannot create by using Dashboard Designer.

Create a reference to an Excel Services report

In Dashboard Designer, you do not actually create an Excel Services report. Instead, you create a PerformancePoint Web Part to display an existing Excel Services report.

Important Important:
Before you start, make sure that you have collected the following information:

  • The name of the report that you want to use

  • The SharePoint Server location (including the SharePoint site and document library) where the Excel Services report is stored

  • Any named items that might exist in the Excel Services report

  • Any parameters that might exist in the Excel Services report, and information about how those parameters are configured. (You would typically need this information to connect a PerformancePoint dashboard filter to the Excel Services report.)

    If the Excel Services workbook is stored in a different server farm than the one that you are using for Dashboard Designer, parameters in the Excel workbook will not be available in Dashboard Designer.

Also make sure that you and the dashboard users have the necessary permissions to view the report.

When you create an Excel Services report, you do it in these stages=:

  1. Create the basic structure of the report.

  2. Create a connection to the report.

  3. Configure the report to display the particular information that you want to show.

  4. (This is optional.) Specify toolbar and interactivity settings for the report.

To create the basic structure of the report

  1. In Dashboard Designer, in the Workspace Browser, click PerformancePoint Content.

  2. On the Create tab, in the Reports group, click Other Reports.

    The Select a Report Template dialog box opens.

  3. In the Select a Report Template dialog box, click Excel Services, and then click OK.

    The report opens for editing in the center pane of the workspace.

  4. In the center pane, click the Properties tab.

  5. In the Name box, type the name that you want to use for the report.

  6. (This step is optional.) To specify a location for the report, click the Display Folder button, and then select or create a folder.

  7. In the Workspace Browser, right-click the report, and then click Save.

  8. Create a connection to the report.

To create a connection to the report

  1. Begin with the report open for editing in Dashboard Designer. In the center pane, click the Editor tab.

  2. In the Report Settings section, in the SharePoint site box, do one of the following:

    • Type the Web site address (URL) of the SharePoint site where the Excel Services report is hosted.

    • If the SharePoint site list is available, use it to select the SharePoint site where the Excel Services report is hosted.

  3. Use the Document library list to select the document library where the Excel Services report is hosted.

  4. Use the Excel workbook list to select the Excel Services report that you want to display.

  5. (This step is optional.) If you want to view the report, do one of the following:

    • To view the report in a browser window, on the Editor tab, click the View button that is located next to the Excel workbook list.

    • To view the report in Dashboard Designer, in the center pane of the workspace, click the View tab.

  6. In the Workspace Browser, right-click the report, and then click Save.

After you have created and saved the report, you can configure it, or you can add it to a dashboard page.

To configure the report to display particular information

  1. Begin with the report open for editing in Dashboard Designer. In the center pane, click the Editor tab.

  2. (This step is optional.) If you want to display an item in the workbook instead of display the whole workbook, use the Item name list to select an item.

    If the Item name list is empty, see Publishing named items in an Excel workbook later in this article.

  3. (This step is optional.) If the Excel Services report includes parameters and you want to specify default selections for those parameters, follow these steps:

    1. In the Workbook Parameters section, locate the parameter for which you want to specify a default value.

      Note Note:
      If the Workbook Parameters section is empty, either the Excel Services report has no parameters or the workbook is stored in a different server farm than the one that you are using for Dashboard Designer.

    2. In the Value column for that parameter, type the default value that you want to use.

      Tip Tip:
      You might want to view the Excel Services workbook in its SharePoint site to see which parameter(s) you want to use.

  4. In the Workspace Browser, right-click the report, and then click Save.

Now that you have created and configured the report, you can either add it to a dashboard page or specify toolbar and interactivity settings for the report.

To specify toolbar and interactivity settings for the report

  1. Begin with the report open for editing in Dashboard Designer. In the center pane, click the Editor tab.

  2. On the ribbon, click the Edit tab, and then click Report Settings.

    The Report Settings dialog box opens.

  3. In the pane on the left side of the Report Settings dialog box, click Interactivity, and then specify the options that you want to use.

    The Interactivity options are configured for the Excel workbook when it is published to SharePoint Server. To view detailed information about these options, see Interactivity Settings in Excel Web Access Web Part custom properties (https://go.microsoft.com/?linkid=9730256).

  4. In the pane on the left side of the Report Settings dialog box, click Toolbar, and then specify the options that you want to use.

    The Toolbar options are Excel Services options that are configured for the Excel workbook when it is published to Excel Services. To view detailed information about these options, see Toolbar and Title Bar section properties in Excel Web Access Web Part custom properties (https://go.microsoft.com/?linkid=9730257).

  5. In the Workspace Browser, right-click the report, and then click Save.

You can now add the report to a dashboard page.

Publish named items in an Excel workbook

If you want to configure an Excel Services report to display a named item that is defined in Excel, the named item must be published to SharePoint Server. Otherwise, the Item name list will be empty in Dashboard Designer.

Simply publishing the workbook does not ensure that named items are published, too.

To publish named items in an Excel workbook

  1. In Excel, on the File tab, click Save & Send, and then click Save to SharePoint.

  2. In the Save to SharePoint section, click Publish Options.

  3. In the Publish Options dialog box, on the Show tab, use the list to select Items in the Workbook.

  4. Select all the named items in the list, and then click OK.

  5. In the Save to SharePoint section, click Browse for a location, and then click Save As.

    The Save As dialog box opens.

  6. In the Save As dialog box, specify the Web site address (URL) to the document library where you want to publish the workbook.

    The URL resembles http://<server name>/<sharepoint site name>/<document library>.

    (For example, we use the URL http://litware-sp/bicenter/Reports.)

  7. Click Save to publish the workbook.


Create strategy maps by using Dashboard Designer
[image]
Create Dashboards by using PerformancePoint Services > Create reports by using Dashboard Designer >

Applies to: SharePoint

Summary: Learn how to create a strategy map by using PerformancePoint Dashboard Designer.

Using PerformancePoint Dashboard Designer, you can create a strategy map for your dashboard. The strategy map uses a scorecard as its data source, and a Visio diagram as its visual display structure. When you create and configure a strategy map, you connect individual shapes in a Visio diagram to KPIs in a scorecard. The color of each shape indicates whether performance is on or off target for that particular item.

Important Important:
Before you create a strategy map report, make sure that the correct version of Visio is installed on your computer. The version that you use must be compatible with PerformancePoint Dashboard Designer.

  • If you are using the 64-bit edition of Dashboard Designer, then you must install the 64-bit edition of Visio.

  • If you are using the 32-bit edition of Dashboard Designer, then you must install the 32-bit edition of Visio.

Create a strategy map by using Dashboard Designer

Before you begin to create your strategy map, make sure that the following items have been created:

  • A diagram that was created by using Visio. The diagram cannot consist of complex shapes (groups or sets of other shapes).

    Tip Tip:
    We recommend that you create your Visio diagram before you create your strategy map. However, you can create a Visio diagram in Dashboard Designer by importing stencils.

  • A scorecard that was created by using Dashboard Designer.

When you create a strategy map, you do this in two main phases. First, you create the basic structure of the strategy map. Next, you configure the strategy map to display information.

To create the basic structure of the strategy map

  1. In Dashboard Designer, locate the Workspace Browser pane. Click PerformancePoint Content.

  2. In the ribbon, click the Create tab, and then in the Reports group, click Strategy Map. The Create a Strategy Map Report wizard opens.

  3. In the Select a Scorecard step of the wizard, select the scorecard that you want to use, and then click Finish.

    The strategy map opens in the center pane of the workspace.

  4. In the center pane, click the Properties tab. In the Name box, type the name that you want to use for the report.

    To specify a location for the report, click the Display Folder button and select or create a folder.

  5. In the Workspace Browser, right-click the strategy map, and then click Save. Proceed to the next section to configure the strategy map.
To configure the strategy map to display information

  1. Begin with the strategy map open for editing in Dashboard Designer. Click the Edit tab, and then click Edit Strategy Map.

    The Strategy Map Editor dialog box opens.

  2. In the Strategy Map Editor dialog box, do one of the following:

    Situation Action

    You have already created a Visio diagram

    click Import Visio File, and then browse to the location where the Visio diagram is saved. Then click Open.

    The Visio diagram opens in the Strategy Map Editor dialog box.

    You want to create a Visio diagram

    Click Stencil. Browse to the location where the Visio stencils are located, and then click Open.

    Use the stencil shapes to create your Visio diagram in the Strategy Map Editor dialog box.

  3. Click a shape in the Visio diagram, and then click Connect Shape.

    The Connect Shape dialog box opens and displays the scorecard that was selected for the strategy map.

  4. In the Connect Shape dialog box, click the cell that you want to connect to the shape that you selected.

    If you want the color of the shape to update automatically to indicate whether performance is on or off target, make sure that you click in a cell that is in the Target column. (The Target column is the column that contains the graphical indicator).

  5. Click Connect.

  6. (This step is optional.) To replace the text inside a shape with the text that is used for the scorecard KPI, select the check box next to Show KPI name in shape text.

    For example, if the KPI is called "Sales Amount" and you select the check box, then the words "Sales Amount" will replace whatever text was in the shape.

  7. Repeat steps 4-6 for each shape in the Visio diagram that you want to connect to the scorecard KPIs.

  8. When you have finished connecting shapes to KPIs, in the Connect Shape dialog box, click the Close button.

  9. In the Strategy Map Editor dialog box, click the Apply button.

    The dialog box closes and the strategy map appears in the center pane of the workspace.

  10. In the Workspace Browser, right-click the strategy map, and then click Save.

Edit a strategy map by using Dashboard Designer

During or after the time when you create a strategy map, you can easily edit it. For example, you can configure or replace the Visio diagram that you use for the strategy map.

To edit a strategy map

  1. In Dashboard Designer, open a strategy map.

  2. In the ribbon, click the Edit tab, and then click Edit Strategy Map.

    The Strategy Map Editor dialog box opens.

  3. Use the Strategy Map Editor to make one or more of the following changes to the strategy map:

    To achieve this Perform this step

    Move an object in the diagram

    Drag it to a new location.

    Use a different diagram

    Click Import Visio File, browse to the diagram that you want to use, and then click Open.

    (The diagram opens in the Strategy Map Editor dialog box, where you can link each shape to a KPI.)

    Open and use a stencil

    Click Stencil. Browse to the stencil that you want to use, and then click Open.

    (A stencil is a collection of shapes associated with a particular Visio template. You can use a stencil to revise all instances of a shape on the page. You can also use a stencil to change a shape by applying your own custom shape to a diagram.)

    Configure the connection between a shape and a KPI

    Click the shape, and then click Connect Shape. In the Select a KPI dialog box, select a KPI and then click Close.

    Disconnect a shape from a KPI

    Click a shape, and then click Disconnect Shape.

    Make all the shapes fit on one page in Visio

    Click Resize to Fit.

    Make all the shapes fit on one printed page

    Click Fit for Print.

  4. In the Workspace Browser, right-click the strategy map, and then click Save.


Create analytic charts or grids by using Dashboard Designer
[image]
Create Dashboards by using PerformancePoint Services > Create reports by using Dashboard Designer >

Applies to: SharePoint

Summary: Learn how to create an analytic chart or grid by using PerformancePoint Dashboard Designer.

By using PerformancePoint Dashboard Designer, you can create analytic reports for your dashboards. Analytic reports are dynamic, visual representations of data that can be displayed as interactive line charts, bar charts, pie charts, and tables (which are called grids). Analytic charts and grids use data that is stored in SQL Server Analysis Services (SSAS).

Create an analytic chart or grid

Before you begin to create your analytic chart, verify that the data source that you want to use is available.

To verify that your data source is available

  1. In Dashboard Designer, click the Home tab, and then click Refresh.

  2. In the Workspace Browser, click Data Connections.

  3. In the center pane of the workspace, review the list of data sources on the Server and Workspace tabs.

  4. Confirm that the data source that you want to use is available. If it is not listed, then you might have to create a data connection.

When you create an analytic chart, you do this in several stages. First, you create the basic structure of your report. Then, you configure the report to display data.

To create the basic structure of your report

  1. In Dashboard Designer, in the Workspace Browser, click PerformancePoint Content.

  2. In the ribbon, click the Create tab.

  3. In the ribbon, in the Reports group, click Analytic Chart or Analytic Grid.

    The Create an Analytic Chart Report (or Create an Analytic Grid) wizard opens.

  4. In the Select a Data Source window, select the SQL Server Analysis Services data source that you want to use.

  5. Click Finish.

    The analytic report opens for editing in the center pane of the workspace.

  6. In the center pane, click the Properties tab.

  7. In the Name box, type the name that you want to use for the report.

  8. (This step is optional.) To specify a location for the report, click the Display Folder button, and then select or create a folder.

  9. In the Workspace Browser, right-click the report, and then click Save.

After you have created the basic structure of your report, configure it to display information. When you configure the report to display information, you can select from two methods.

You can use the Design tab to drag items from the Details pane and preview your report. As you configure the report, it automatically updates in the center pane so you can see how it will appear in the dashboard.

You can use the Query tab to specify or edit the custom Multidimensional Expressions (MDX query) that is used to display information.

Tip Tip:
If you create an analytic chart by using the Query tab (and not the Design tab), dashboard users might be unable to drill up or down into the data.
To configure the report to display information by using the Design tab (recommended)

  1. Begin with the analytic report open for editing in Dashboard Designer. In the center pane, click the Design tab.

  2. In the Details pane, expand Measures, Dimensions, or Named Sets to display the list of items that are available in each category.

  3. Drag an item to the Series (or Rows), Bottom Axis (or Columns), or Background section.

    Tip Tip:
    To display data in your analytic report, you must put at least one item in each Series (or Rows) and Bottom Axis (or Columns) section.
    Placing an item in the Background section is optional.
    You can use many combinations of measures, dimensions, and named sets. For example, you can place a named set in one section and a measure in another section. Or you can put one dimension hierarchy in one section and a different dimension hierarchy in another. You can also put measures in the Background section, or you can leave the Background section blank.

    • The Series section corresponds to the vertical axis of your chart, and the Bottom Axis section corresponds to the horizontal axis.

    • The Rows section corresponds to the horizontal rows of your grid, and the Columns section corresponds to the vertical columns.

    • Any items that you put in the Background section (this is optional) serve as hidden filters for your analytic chart or grid. For example, if you put a Geography dimension in the Background section and then select some, but not all, of the geographical regions in the hierarchy, then the information that is displayed in your analytic report will be limited to those geographical regions that you selected.

      Note Note:
      If you put a dimension in the Background section and select the All option in the list of members, verify that you do not select individual dimension members, too. Otherwise, you might receive an error message. The error message indicates that there was an error running the data source query.

  4. For each dimension that is located on your chart, you can either keep the default selection (this is typically All), or you can select the dimension members that you want to display.

    To select individual dimension members

    1. Right-click a dimension, and then click Select Members. Or click the down arrow next to the dimension name, and then click Select Members.

      The Select Members dialog box appears.

    2. Use the expandable tree control to view the list of members that are in the dimension hierarchy.

    3. Select the items that you want to display in your analytic report.

    4. Click OK.

      The Select Members dialog box closes and your analytic report updates to display the members that you selected.

  5. Repeat steps 2-4 for each item that you want to display in your chart.

  6. In the ribbon, use the toolbar commands in the View group of the Edit tab to specify the view type and settings for your analytic report.

    Important Important:
    If you are creating an analytic grid that uses a Power Pivot data connection, verfiy that you use the tabular layout option instead of the compact layout. Otherwise, dashboard users might get error messages when they attempt to use Value Filters on the report.
    To apply a tabular layout to the grid, on the Edit tab, in the View group, use the Layout menu to select Tabular Layout.

  7. In the Workspace Browser, right-click the report, and then click Save.
To configure the report to display information by using the Query tab (requires familiarity with MDX)

  1. Begin with an analytic report open for editing in Dashboard Designer. In the center pane, click the Query tab.

  2. In the MDX pane, specify the MDX query that you want to use for your analytic report.

    If you want to show sales information for different products across different sales territories, your MDX query might resemble the following example.

    Copy code
    SELECT
HIERARCHIZE( { [Product].[Product].[Product Category Name].&[8], [Product].[Product].[Product Category Name].&[7], [Product].[Product].[Product Category Name].&[6], [Product].[Product].[Product Category Name].&[5], [Product].[Product].[Product Category Name].&[4], [Product].[Product].[Product Category Name].&[3], [Product].[Product].[Product Category Name].&[2], [Product].[Product].[Product Category Name].&[1] } )
ON COLUMNS,

HIERARCHIZE( { [Sales Territory].[Territory Hierarchy].[Sales Territory Group].&[North America], [Sales Territory].[Territory Hierarchy].[Sales Territory Group].&[Europe], [Sales Territory].[Territory Hierarchy].[Sales Territory Group].&[Asia] } )
ON ROWS

FROM [Sales]

WHERE ( [Measures].[Sales Amount] )

    The actual query that you use depends on the data cube and the kinds of information that you want to do display.

  3. (This is optional.) If you want to connect dashboard filters to the analytic report, you must configure the report to receive filters.

    Important Important:
    The following procedure applies only to analytic charts or grids that were created by using a custom MDX query.

    1. In the center pane, in the MDX pane, select a code example that represents a dimension member, dimension hierarchy, or a named set.

      Depending on the kind of filter that you want to use for the analytic chart or grid, the code example that you select will vary.

      For example, you might have an analytic chart that uses an MDX query that includes the expression, [Geography].[Geography].[Region]. That code example represents a dimension hierarchy in the Geography dimension.

      To configure the chart to receive a geography filter, select the complete code example [Geography].[Geography].[Region]

    2. In the Parameters section, type a name for your parameter, and then click Insert.

      The parameter name appears in the MDX pane.

      For example, if you insert a parameter called Geo into the code example, [Geography].[Geography].[Region], the MDX pane displays <<Geo>> instead of that code example.

      You can now link a dashboard filter to report by using this parameter. Then, when a dashboard user selects an item in the filter that is linked to this report, <<Geo>> is replaced with that item in the query. The analytic report displays the results.

    3. To add more than one parameter, repeat Steps 3a and 3b.

      For example, consider an analytic chart that has the following code, which includes two parameters.

      Copy code
      SELECT {[Time].[Calendar].[Year].&[2006]} ON COLUMNS, { TOPCOUNT({DESCENDANTS(<<Product>>, [Product].[Product].[Product])}, 20, ([Time].[Calendar].[Year].&[2009], [Measures].[Sales Amt]))} ON ROWS FROM [Sales] WHERE (<<Geography>>, [Measures].[Sales Amt])

      This query enables you to link two kinds of filters to the analytic report: a Products filter and a Geography filter.

      Based on this MDX query, a dashboard user who selects a product category in the Products filter, and then geographical region in the Geography filter, will see the top 20 products (in descending order) for that geographical region in the year 2009.

  4. In the center pane, click the Design tab to preview your analytic chart or grid.

  5. In the ribbon, use the toolbar commands in the View group of the Edit tab to specify the view type and settings for your analytic report.

  6. In the Workspace Browser, right-click the report, and then click Save.

Edit an analytic chart or grid

After you have created your analytic report, you can configure it to adjust how you want the information to be displayed. For example, you can configure the information that is displayed. Or you can change the view type of a report, such as by changing a bar chart to a line chart, or a chart to a grid.

When you want to configure the information that is displayed in an analytic report, you can use one of two methods:

  • You can use the Design tab in the center pane of the workspace to add or remove the dimensions, measures, and named sets that you use in the report. You also use the Design tab to preview the analytic report.

  • Use the Query tab in the center pane of the workspace to change the MDX query that is used to display information in the report.

To use the Design tab to add, remove, or change the items that appear in a report

  1. Begin with an analytic report open for editing in Dashboard Designer. In the center pane of the workspace, click the Design tab.

  2. Make one or more of the following changes to your analytic chart or grid:

    Action Procedure

    Add an item to an analytic chart or grid

    1. In the Details pane, expand Measures, Dimensions, or Named Sets to display the list of items that are available in that category.

    2. From the Details pane, drag an item to the Series (or Rows), Bottom Axis (or Columns), or Background section.

    3. Repeat for each item that you want to display in your chart.

    Remove an item from a chart or grid

    In the Series (or Rows), Bottom Axis (or Columns), or Background section, right-click the item that you want to remove, and then click Remove.

    Move an item to a different location in the chart or grid

    In the Series (or Rows), Bottom Axis (or Columns), or Background section, right-click the item that you want to move, and then click the section where you want to place the item.

    Or:

    Drag the item that you want to move to a different section.

    Display different dimension members in the chart or grid

    1. Right-click a dimension, and then click Select Members. The Select Members dialog box appears.

    2. Use the expandable tree control to view the list of dimension members. Select the items that you want to display in your analytic chart, and then click OK.

      The Select Members dialog box closes and your analytic chart or grid updates to display the members that you selected.

  3. In the Workspace Browser, right-click the analytic report, and then click Save.

To use the Query tab to add, remove, or configure the items that appear in a report

  1. Begin with an analytic report open for editing in Dashboard Designer. In the center pane of the workspace, click the Query tab.

  2. In the MDX pane, edit the MDX query that appears. Or, type a new MDX query.

  3. In the Workspace Browser, right-click the analytic report, and then click Save.


Create dashboard filters by using Dashboard Designer
[image]
Create Dashboards by using PerformancePoint Services >

Applies to: SharePoint

Summary: Learn how to create different types of dashboard filters by using PerformancePoint Dashboard Designer.

You can use Dashboard Designer to create many kinds of dashboard filters. Filters let you display particular information in a dashboard. You can create filters that are stand-alone dashboard items that can be reused across multiple dashboards or across multiple pages in a dashboard. These kinds of dashboard filters let dashboard users to view more specific information that is important to them.

In this section

Read the following articles to learn how create dashboard filters for your PerformancePoint dashboard.

  • Configure cascading filters by using Dashboard Designer describes how to configure cascading filters for PerformancePoint dashboards.

  • Create Custom Table filters by using Dashboard Designer describes how to create a data table and then use that to create a dashboard filter.

  • Create MDX Query filters by using Dashboard Designerdescribes how to create a dashboard filter that uses a custom Multidimensional Expressions (MDX) query.

  • Create Member Selection filters by using Dashboard Designer describes how to create a dashboard filter by selecting dimension members that are stored in SQL Server Analysis Services or a tabular data source.

  • Create Named Set filters by using Dashboard Designer describes how to create a dashboard filter by selecting a set of members that was defined in Analysis Services.

  • Create Time Intelligence filters by using Dashboard Designerdescribes how to create a dynamic time filter for a dashboard that remains up to date automatically. You can either create a filter that uses a list of time periods, such as Year to Date or Last Six Months, or you can create a filter that uses a calendar control.


Configure cascading filters by using Dashboard Designer

Configure cascading filters by using Dashboard Designer |
 | See also
[image]
Create Dashboards by using PerformancePoint Services > Create dashboard filters by using Dashboard Designer >

Applies to: SharePoint

You can use PerformancePoint Dashboard Designer to create various dashboard filters that you connect to reports and scorecards. When a dashboard filter contains lots of items, dashboard users must spend time scrolling through a list or an expandable tree to select the items they want to use to filter dashboard content. To help eliminate this, you can configure dashboard filters in such a way that one is connected to another. This creates cascading filters. Cascading filters work so that as a dashboard user selects an item in one filter, the list of items in the next is scoped according to what was selected in the first. By including cascading filters in your dashboards, dashboard users can pinpoint the information that they need more efficiently.

For example, suppose that you have created a dashboard to show product sales information for North America. Dashboard users want to view information for specific cities. Rather than create a single filter that contains a long list of states or provinces and cities, you can configure cascading filters. You can create one Country filter that lists Canada and North America. You can then create a States or Provinces filter that lists all the states and provinces in North America, and a Cities filter that lists all the cities. You can connect the Country filter to the States filter and then connect the States filter to the Cities filter. After you publish the dashboard, dashboard users can view information for specific cities by first selecting a Canada or United States by using the Country filter, which narrows the list of items in the States or Provinces filter. Dashboard users can then select a state or province, which narrows the list of items in the Cities filter. Finally, dashboard users can select an item in the Cities filter to view information for a specific city.

When you configure cascading filters for a dashboard, you can add an Apply Filters button. This enables dashboard users to make their filter selections and then apply them all at the same time.

To add cascading filters to a PerformancePoint dashboard, you follow this process:

  1. Create filters to use as cascading filters

  2. Add cascading filters to a dashboard page

Create filters to use as cascading filters

During this phase, you create two or more dashboard filters to use as cascading filters. The dashboard filters must use data that is stored in SQL Server Analysis Services or Power Pivot and should use the same measure.

You can use any of the following filter templates to create your dashboard filters:

  • Member Selection

  • Named Set

  • MDX Query

Use any of the following procedures in this section to create the dashboard filters.

To create a Member Selection filter

  1. In Dashboard Designer, in the Workspace Browser, click PerformancePoint Content.

  2. In the ribbon, on the Create tab, , click Filter.

    The Select a Filter Template dialog box appears.

  3. Click Member Selection, and then click OK.

    The Select a data source page opens.

  4. Use the SharePoint Site and Workspace tabs to select the Analysis Services data source that you want to use for the filter, and then click Next.

    The Select Members page opens.

  5. In the Filter Dimension section, click Select Dimension.

    The Select Dimension dialog box appears.

  6. Select the dimension hierarchy that you want to use for the filter, and then click OK.

  7. On the Select Members page, click Select Members.

  8. Select the members that you want to use for the filter. To specify a default filter selection, right-click an item, and then click Set as Default Selection. Then click OK.

  9. Use the Filter measure list to specify a measure to use for this filter, and then click Next.

    Tip Tip:
    Depending on the cascading filters that you want to create, you should select the same measure for all the filters. For example, suppose that you are creating cascading filters to show product sales across different geographical regions. You create several filters based on different hierarchies in the same Geography dimension. In this case, you would select a sales amount measure for all the geography filters.

  10. On the Select Display Method page, click a display type, and then click Finish.

    Tip Tip:
    As a best practice, we recommend that you select the List display type.

  11. In the Workspace Browser, notice that the default text for the new filter is highlighted. Type a name for the filter, and then press the Enter key.

  12. In the Workspace Browser, right-click the filter, and then click Save.

  13. Take one of the following steps:

    • Repeat this procedure to create another Member Selection filter.

    • Create another filter by following one of the other procedures in this section.

    • Proceed to Add cascading filters to a dashboard page.
To create a Named Set filter

  1. In Dashboard Designer, in the Workspace Browser, click PerformancePoint Content.

  2. In the ribbon, on the Create tab, click Filter.

    The Select a Filter Template dialog box appears.

  3. Click Named Set, and then click OK.

  4. Use the SharePoint Site and Workspace tabs to select the Analysis Services data source that you want to use for the filter, and then click Next.

  5. Use the Select named set list to select a named set that is defined in Analysis Services.

    The MDX expression for the named set is displayed in the Named set expression box.

  6. Use the Filter measure list to specify a measure to use for this filter, and then click Next.

    Tip Tip:
    Depending on the cascading filters that you want to create, you should select the same measure for all the filters. For example, suppose that you are creating cascading filters to show product sales across different geographical regions. You create several filters based on different hierarchies in the same Geography dimension. In this case, you would select a sales amount measure for all the geography filters.

  7. On the Select Display Method page, click a display type, and then click Finish.

    Tip Tip:
    As a best practice, we recommend that you select the List display type.

  8. In the Workspace Browser, notice that the default text for the new filter is highlighted. Type a name for the filter, and then press the Enter key.

  9. In the Workspace Browser, right-click the filter, and then click Save.

  10. Take one of the following steps:

    • Repeat this procedure to create another Named Set filter.

    • Create another filter by following one of the other procedures in this section.

    • Proceed to Add cascading filters to a dashboard page.
To create an MDX Query filter

  1. In Dashboard Designer, in the Workspace Browser, click PerformancePoint Content.

  2. In the ribbon, on the Create tab, , click Filter.

    The Select a Filter Template dialog box appears.

  3. Click MDX Query, and then click OK.

  4. Use the SharePoint Site and Workspace tabs to select the Analysis Services data source that you want to use for the filter, and then click Next.

  5. In the Enter MDX Formula box, specify the multidimensional expressions (MDX) query that you want to use.

  6. Use the Filter measure list to specify a measure to use for this filter, and then click Next.

    Tip Tip:
    Depending on the cascading filters that you want to create, you should select the same measure for all the filters. For example, suppose that you are creating cascading filters to show product sales across different geographical regions. You create several filters based on different hierarchies in the same Geography dimension. In this case, you would select a sales amount measure for all the geography filters.

  7. On the Select Display Method page, click a display type, and then click Finish.

    Tip Tip:
    As a best practice, we recommend that you select the List display type.

  8. In the Workspace Browser, notice that the default text for the new filter is highlighted. Type a name for the filter, and then press the Enter key.

  9. In the Workspace Browser, right-click the filter, and then click Save.

  10. Take one of the following steps:

    • Repeat this procedure to create another MDX Query filter.

    • Create another filter by following one of the other procedures in this section.

    • Proceed to Add cascading filters to a dashboard page.

Add cascading filters to a dashboard page

When you are ready to add cascading filters to a dashboard, you start by creating a new dashboard page. You can either create a new dashboard or open an existing dashboard for editing and then add a new page to it.

To create a new dashboard

  1. In Dashboard Designer, in the Workspace Browser, click PerformancePoint Content.

  2. In the ribbon, on the Create tab, click Dashboard.

    The Select a Dashboard Page Template dialog box appears.

  3. Select a template, and then click OK.

    Tip Tip:
    We recommend that you use a page layout template that enables you to put the cascading filters in a single dashboard zone. An example of such a template is the Header, 2 Columns template.
    You can also edit any page template by adding or removing dashboard zones. For more information, see Configure specific sizes of individual PerformancePoint dashboard zones or items with zones.

    The new dashboard opens for editing.

  4. In the Workspace Browser, notice that the default text for the new dashboard is highlighted. Type a name for the dashboard, and then press the Enter key.

  5. Keep the dashboard open, and proceed to add cascading filters and reports to the page.
To add a new page to an existing dashboard

  1. In Dashboard Designer, in the Workspace Browser, click PerformancePoint Content.

    The center pane displays two tabs: SharePoint and Workspace.

  2. Use the SharePoint and Workspace tabs to select the dashboard that you want to edit, and double-click the dashboard to open it for editing.

  3. In the center pane, on the Editor tab, in the Pages section, click New Page.

    The Select a Dashboard Page Template dialog box appears.

  4. Select a template, and then click OK.

    Tip Tip:
    We recommend that you use a page layout template that enables you to put the cascading filters in a single dashboard zone. An example of such a template is the Header, 2 Columns template.
    You can also edit any page template by adding or removing dashboard zones. For more information, see Configure specific sizes of individual PerformancePoint dashboard zones or items with zones.

    The new dashboard page opens for editing.

  5. In the Pages section, in the Name column, select the default text for the dashboard page and type a new name. Then press the Enter key.

  6. Keep the dashboard open, and proceed to add cascading filters and reports to the page.

Now that you have set up the dashboard page, the next step is to add cascading filters and reports to the page.

To add cascading filters and reports to a dashboard page

  1. Begin with a blank dashboard page open for editing. In the ribbon, click the Edit tab.

  2. Identify the dashboard zone where you want to put the cascading filters. Click that zone, and then, on the Edit tab, in the Layout group, click Zone Settings.

    The Zone Settings dialog box appears.

  3. On the Orientation tab, select Vertical, and then click OK.

    Note Note:
    We configure the zone that will contain the cascading filters to use a vertical orientation as a best practice. This helps make it easier for dashboard users to view and use the cascading filters.

  4. In the Details pane, expand Filters, and then expand PerformancePoint Content.

  5. From the Details pane, drag a cascading filter to the dashboard zone. Repeat for each cascading filter. Make sure to arrange them in the correct order in the zone.

  6. (This is optional.) From the Details pane, drag Apply Filters Button to the same zone where the cascading filters are positioned. Make sure to put it at the bottom of the list in the zone.

    Note Note:
    As a best practice, we recommend that you add the Apply Filters button when you add cascading filters to a dashboard. This enables dashboard users to make filter selections and then apply those selections all at the same time. In addition, reports and scorecards do not refresh until a dashboard user clicks the Apply Filters button.

  7. In the Details pane, expand Scorecards (or Reports), and then expand PerformancePoint Content.

  8. From the Details pane, drag a scorecard (or a report) to a zone in the dashboard.

  9. Repeat Steps 7-8 until you have added all the report types that you want to use in the dashboard.

  10. In the Workspace Browser, right-click the dashboard, and then click Save to save your changes. Do not close the dashboard.

Now that you have added dashboard items to the page, the next step is to connect the cascading filters.

To connect cascading filters

  1. Begin with the dashboard page open for editing. Locate the top-level cascading filter.

  2. Click the down arrow for a cascading filter, and then click Create Connection.

    The Connection dialog box appears.

  3. On the Items tab, use the Send values to list to select the next level cascading filter.

  4. On the Values tab, use the Source value list to select an item, such as Member Unique Name. Then click OK to close the Connection dialog box.

  5. Locate the next-level cascading filter, and repeat Steps 2-4 for that filter.

  6. Repeat Step 5 until you reach the lowest-level cascading filter.

  7. Locate the lowest-level cascading filter. Click the down arrow for that filter, and then click Create Connection.

    The Connection dialog box appears.

  8. On the Items tab, use the Send values to list to select a report or a scorecard to which you want to connect the filter.

  9. On the Values tab, select a combination of values by using the Connect to list and the Source value list.

    Depending on how a report or scorecard is configured, the list of options that are available in the Connect to and Source value lists will vary. By using these lists, you can choose from many combinations. For example, you can select a page, row, or column in one list, and Display Value or Member Unique Name in the other list.

    Although it might seem as if you can select any combination of values in the Connect to and Source value lists, not all combinations will work correctly. You will not see whether a filter connection works until you publish the dashboard to a SharePoint site, such as a designated location where you can preview and test the dashboard.

    Some examples of combinations that work are listed in the following table.

    Connect to list item Source value list item Description

    Measures

    Member Unique Name

    This configuration causes the filter to display information in a report or a scorecard for the measure that is used by the filter.

    Dimension Hierarchies on Rows or Columns

    Member Unique Name

    This configuration causes the filter to replace rows or columns in a report or scorecard to be replaced with the item or items that dashboard consumers select by using the filter.

    Axis, Page, Row, Column, or Row (or Column) Hierarchies

    Display Value

    This configuration causes member captions from a report or scorecard’s underlying database to be displayed in the report or scorecard when the filter is applied. (Member captions resemble labels like "Baseball Bats" or "Baseball Gloves.")

  10. (This is optional.) To apply a formula that additionally filters the content, click the Connection Formula button. The Connection Formula dialog box appears.

    In the Connection Formula dialog box, type a formula that will be applied to filter the data before it reaches the report or scorecard. Depending on the filter that you are connecting, the formula that you specify can include a Time Intelligence statement or an MDX query. For example, if you are connecting a Time Intelligence Connection Formula filter to a report or a scorecard, you can only specify a Time Intelligence statement.

    After you have specified your formula, click OK to close the Connection Formula dialog box.

  11. Click OK to close the Connection dialog box. In the center pane of the workspace, in the Connections box for the report or scorecard, you can see the name of the filter that you have connected to it.

  12. Repeat Steps 7-11 for each item that you want to connect to the cascading filters.

  13. In the Workspace Browser, right-click the dashboard, and then click Save. Deploy the dashboard to view and test the cascading filters.

    Important Important:
    When you connect a filter to another filter, a report, or a scorecard, you can create an invalid filter connection that will only exhibit problems when you view the dashboard in its SharePoint site. When an invalid filter connection is made, a report or scorecard displays unexpected content or an error message. If this occurs, reconfigure the filter connection.

See also

Create dashboard filters by using Dashboard Designer


Create Custom Table filters by using Dashboard Designer

Create Custom Table filters by using Dashboard Designer |
 | See also
[image]
Create Dashboards by using PerformancePoint Services > Create dashboard filters by using Dashboard Designer >

Applies to: SharePoint

Summary: Learn how to create a custom table filter with PerformancePoint Services Dashboard Designer.

When you use PerformancePoint Dashboard Designer to create a dashboard filter, you can select from various filter templates that include the Custom Table filter template. You would use the Custom Table filter template in situations such as those that are described in the following list:

  • You want to create one dashboard filter that pulls in data from multiple data sources. That filter will then be connected to multiple reports and scorecards in the dashboard.

  • You want to specify the names of the items that you use in the filter, instead of using the default names that are used in the data source that you plan to use for the filter.

  • You want to create your own list of items to use in the filter and then map that list to similar kinds of items that are in a database.

When you create a dashboard filter by using the Custom Table filter template, you typically use the following process:

  1. Phase 1: Create and save a table.

  2. Phase 2: Create a tabular data source.

  3. Phase 3: Create the dashboard filter.

Phase 1: Create and save a table

During this phase, you use an application such as Excel to construct a table. The table that you create is used as a mapping table to map database members to fully qualified names. This enables you to bring together information from different data sources in a single table, or to configure the names of the members that dashboard users will see.

Tip Tip:
In this article, we assume that you use Excel to create and configure the custom table. However, you can also use a SharePoint list or a table in SQL Server.
To create a table to use with a Custom Table dashboard filter

  1. Using Excel, create a data table that contains the items that you want to use for the dashboard filter.

  2. Make sure to organize the data into columns, with one column for each kind of information. For example, you might have one column that contains regions/countries, and another that contains cities.

  3. Decide which columns will be used for the following purposes in the filter:

    • Members This column contains the members that you want to include in the filter. If you are creating a hierarchical structure in the filter, the members in this column are second-level members in the hierarchy.

      During Phase 3, when you create the dashboard filter, you will select this “Members” column as the Key column in Dashboard Designer.

    • Parent members This column contains the parent members that you want to include in the filter. These members are at a level higher than the “Members” column. If you are creating a hierarchical structure in the filter, the parent member names are the first-level members in the hierarchy. Depending on the table that you use, you might not specify a column for parent members.

      During Phase 3, when you create the dashboard filter, you will select this “Parent members” column as the Parent Key column in Dashboard Designer.

    • Display names This column contains the member names that you want dashboard users to see in the dashboard. Depending on the table that you use, you might not specify a column for default members.

      During Phase 3, when you create the dashboard filter, you will select this “Display names” column as the Display value column.

    • Default This column should contain only the values “True” and “False,” and it should be configured as a dimension that has no aggregation.

      During Phase 3, when you create the dashboard filter, you could use this “Default” column as the Is default column in Dashboard Designer. However, you are not required to have a “Default” column to create the filter.

  4. Save the file to your computer, and then proceed to create a tabular data source in Dashboard Designer.

Phase 2: Create a tabular data source

During this phase, you create a data connection that uses the table that you created during Phase 1.

To create a tabular data source that uses the custom table

  1. In Dashboard Designer, in the Workspace Browser, click Data Connections.

  2. On the Create tab, in the Dashboard Items group, click Data Source.

    The Select a Data Source Template dialog box appears.

  3. In the Template pane, click Import from Excel Workbook, and then click OK.

    Tip Tip:
    In this article, we assume that you used Excel to create the custom table. If you used a SharePoint list or a table in SQL Server, make sure that you select the appropriate tabular data source template.

    In the center pane, on the Editor tab, click Import.

  4. Locate the Excel workbook that you created, and then click Open.

    Tip Tip:
    If an Edit data in Excel dialog box appears, specify whether to use column headers that might be on the first row of the Excel workbook. Select or clear the Headers on First Row check box, and then click either Discard changes or Accept changes.

    The data in the Excel workbook is displayed in the center pane.

  5. In the center pane, click the Properties tab.

  6. In the Name box, type the name that you want to use for the data source.

  7. (This step is optional.) To specify a location for the data source, click the Display Folder button, and then select or create a folder.

  8. In the Workspace Browser, right-click the data source, and then click Save. Proceed to create the dashboard filter.

Phase 3: Create the dashboard filter

During this phase, you create a dashboard filter by using the Custom Table filter template in Dashboard Designer.

To create a dashboard filter that uses the Custom Table filter template

  1. In Dashboard Designer, in the Workspace Browser, click PerformancePoint Content.

  2. On the Create tab, in the Dashboard Items group, click Filter.

    The Select a Filter Template dialog box appears.

  3. In the Select a Filter Template dialog box, click Custom Table, and then click OK.

    The Create a Filter wizard opens.

  4. On the Select a Data Source page, select the data source that you want to use, and then click Next.

    • Use the SharePoint Site tab to view a list of data sources that have been saved to SharePoint Server.

    • Use the Workspace tab to view a list of data sources that you have created or used.

  5. On the Preview Table page, view the information that is available in the table that you selected. Make sure to note which columns that you want to use for the dashboard filter, and then click Next.

  6. On the Choose Key Columns page, specify which columns to use as Key, Parent key, Display value, and Is default settings.

    • Use the Key list to specify the column that contains the members that you want to use in the filter. If you are creating a filter that has a hierarchical structure, the Key column represents second-level members in the filter hierarchy.

    • Depending on whether you are creating a filter that has a hierarchical structure, use the Parent Key list to specify the column that contains the members that you want to designate as first-level members in the filter hierarchy. Otherwise, set the Parent key list to (None).

    • Use the Display Value list to specify the column that contains the members that you want to designate as captions for your filter. PerformancePoint Services passes those captions to any scorecards and reports that are linked to the filter.

    • In general, set the Is default list to (None).

      If the data source contains a dimension that contains “True” and “False” values and that dimension has no aggregation, you can select that dimension in the Is default list.

      Important Important:
      Do not use the Is default list to select a column that contains text or non-numeric values. Otherwise, an error message will occur in the dashboard.

    Click Next.

  7. In the Select Display Method page, select one of the following display types:

    • List Select this option to display the filter as a simple list in a drop-down menu. When you use this display type, dashboard consumers click an item in the list to specify what information to display.

    • Tree Select this option to display the filter as a list that includes an expandable tree control in a drop-down menu. When you use this display type, dashboard consumers expand the tree control, and then they select one item or a group of items to apply as a filter.

    • Multi-Select Tree Select this option to display the filter as a list that includes an expandable tree control that has check boxes in a drop-down menu. When you use this display type, dashboard consumers expand the tree control, and then they select the check boxes for the items that they want to use as a filter.

    After you select the display type that you want to use for your filter, click Finish.

  8. In the center pane, click the Properties tab.

  9. In the Name box, type the name that you want to use for the filter.

  10. (This step is optional.) To specify a location for the filter, click the Display Folder button, and then select or create a folder.

  11. In the Workspace Browser, right-click the filter, and then click Save.

After you have created your filter, you can add it to a dashboard page and then connect it to one or more dashboard items. For more information, see Connect filters to reports or scorecards by using Dashboard Designer.

See also

Create dashboard filters by using Dashboard Designer


Create MDX Query filters by using Dashboard Designer
[image]
Create Dashboards by using PerformancePoint Services > Create dashboard filters by using Dashboard Designer >

Applies to: SharePoint

Summary: Learn how to create MDX query filters using PerformancePoint Services Dashboard Designer.

The MDX Query template works with data that is stored in SQL Server Analysis Services. For more information about dashboard filters, see Overview of PerformancePoint dashboard filters and connections.

To create an MDX Query filter

  1. In Dashboard Designer, in the Workspace Browser, click PerformancePoint Content.

  2. On the Create tab, click Filter.

    The Select a Filter Template dialog box opens.

  3. In the Select a Filter Template dialog box, click MDX Query, and then click OK.

    The Create a Filter wizard opens.

  4. On the Select a Data Source page, select the Analysis Services data source that you want to use, and then click Next.

    • Use the SharePoint Site tab to view a list of data sources that have been saved to SharePoint Server.

    • Use the Workspace tab to view a list of data sources that you have created or used.

  5. On the Enter MDX Formula page, type an MDX query to select the items that you want to use for the filter.

    The MDX query that you select might resemble the examples that are shown in the following table.

    Query Description

    [Product].[Category].members

    Create a list of the product categories that are in the Products dimension in the data cube.

    TOPCOUNT([Reseller].[Reseller].[Reseller].MEMBERS.10.([Geography].[Country].[United States]. [Measures].[Reseller Sales Amount]))

    Create a list of the top 10 resellers in the United States.

  6. Click Next.

  7. On the Select Display Method page, select one of the display types shown in the following table.

    Display method Description

    List

    Select this option to display the filter as a simple list in a drop-down menu. When you use this display type, dashboard consumers click an item in the list to specify what information to display.

    Tree

    Select this option to display the filter as a list that includes an expandable tree control in a drop-down menu. When you use this display type, dashboard consumers expand the tree control, and then they select one item or a group of items to apply as a filter.

    Multi-Select Tree

    Select this option to display the filter as a list that includes an expandable tree control that has check boxes in a drop-down menu. When you use this display type, dashboard consumers expand the tree control, and then they select the check boxes for the items that they want to use as a filter.

    After you select the display type that you want to use for the filter, click Finish.

  8. In the center pane, click the Properties tab.

  9. In the Name box, type the name that you want to use for the filter.

  10. (This step is optional.) To specify a location for the filter, click the Display Folder button, and then select or create a folder.

  11. In the Workspace Browser, right-click the filter, and then click Save.

After you have created the filter, you can add it to a dashboard page, and then connect it to one or more dashboard items. For more information, see Connect filters to reports or scorecards by using Dashboard Designer.


Create Member Selection filters by using Dashboard Designer

Create Member Selection filters by using Dashboard Designer |
 | See also
[image]
Create Dashboards by using PerformancePoint Services > Create dashboard filters by using Dashboard Designer >

Applies to: SharePoint

Summary: Learn how to create member selection filters by using PerformancePoint Services Dashboard Designer.

When you use PerformancePoint Dashboard Designer to create a dashboard filter, you can select from various filter templates that include the Member Selection filter template. You can use the Member Selection template to create a list of items by selecting individual members that are in a database. The Member Selection template works with data that is stored in SQL Server 2005 Analysis Services (SSAS), SQL Server 2008 R2 Analysis Services (SSAS), SQL Server 2012 Analysis Services (SSAS) or any tabular data source that contains members.

To create a Member Selection filter

  1. In Dashboard Designer, in the Workspace Browser, click PerformancePoint Content.

  2. On the Create tab, click Filter.

    The Select a Filter Template dialog box appears.

  3. In the Select a Filter Template dialog box, click Member Selection, and then click OK.

    The Create a Filter wizard opens.

  4. On the Select a Data Source page, select the data source that you want to use, and then click Next.

    • Use the SharePoint Site tab to view a list of data sources that were saved to SharePoint Server.

    • Use the Workspace tab to view a list of data sources that you have created or used.

  5. On the Select Members page, specify the members that you want to use for the dashboard filter.

    1. Click Select Dimension to open the Select Dimension window.

    2. In the Select Dimension window, click the dimension hierarchy that you want to use for your dashboard filter, and then click OK.

      The Select Dimension window closes, and on the Select Members page, the Select Members button is enabled.

    3. Click the Select Members button to open the Select Members window.

      In the Select Members window, expand the list of dimension members.

    4. Select the members that you want to use for the dashboard filter by using one of the methods shown in the following table.

      Method and description Procedure

      Select parameterized filter options

      This option enables you to create a dashboard filter that remains up to date as the data cube changes.

      For example, suppose that you create a "Products" filter to display a list of product categories, and that new product categories will be added to the data cube after you have deployed your dashboard. If you use this method, your filter will automatically display the new product categories without requiring the dashboard filter to be changed.

      Do one of the following:

      • Right-click a level in the expandable tree, and then select an option, such as Select Children.

      • Right-click a level, click Autoselect Members, and then select an option, such as Select Children, Select Leaves, or Select All Descendants.

      Terms such as Children and Descendants are set functions that work with SQL Server Analysis Services.

      Select members to create a static list

      This option enables you to create a dashboard filter that lists items that you specify.

      Select the check boxes of the dimension members that you want to include in your filter.

      Tip Tip:
      Some members might contain next-level members. When a member contains other members, a plus sign (+) appears next to that member. You can either select a member at the first level, or expand the list and select one or more members at the next lower level.

    5. (This step is optional.) Right-click the dimension member or members that you want to specify as the default filter selection, and then click Set as Default Selection.

      By default, the items that you select will be selected in the deployed dashboard before dashboard users apply the filter. You can select All or any individual item.

    6. Click OK to return to the Select Members page.

    7. Click Next.

  6. On the Select Display Method page, select one of the display types shown in the following table.

    Display method Description

    List

    Select this option to display the filter as a simple list in a drop-down menu. When you use this display type, dashboard consumers click an item in the list to specify what information to display.

    Tree

    Select this option to display the filter as a list that includes an expandable tree control in a drop-down menu. When you use this display type, dashboard consumers expand the tree control, and then they select one item or a group of items to apply as a filter.

    Multi-Select Tree

    Select this option to display the filter as a list that includes an expandable tree control that has check boxes in a drop-down menu. When you use this display type, dashboard consumers expand the tree control, and then they select the check boxes for the items that they want to use as a filter.

    After you select the display type that you want to use for your filter, click Finish.

  7. In the center pane, click the Properties tab.

  8. In the Name box, type the name that you want to use for the filter.

  9. (This step is optional.) To specify a location for the filter, click the Display Folder button, and then select or create a folder.

  10. In the Workspace Browser, right-click the filter, and then click Save.

After you have created your filter, you can add it to a dashboard page and then connect it to one or more dashboard items. For more information, see Connect filters to reports or scorecards by using Dashboard Designer.

See also

Assemble dashboard pages and link items together by using Dashboard Designer


Create Named Set filters by using Dashboard Designer

Create Named Set filters by using Dashboard Designer |
 | See also
[image]
Create Dashboards by using PerformancePoint Services > Create dashboard filters by using Dashboard Designer >

Applies to: SharePoint

Summary: Learn how to create a named set filter by using PerformancePoint Services Dashboard Designer.

When you use PerformancePoint Dashboard Designer to create a dashboard filter, you can select from various filter templates that include the Named Set filter template. You can use the Named Set template to create a list of items by selecting a group of items that was defined as a set in a database. The Named Set template works with data that is stored in SQL Server Analysis Services. For more information about dashboard filters, see Overview of PerformancePoint dashboard filters and connections.

To create a Named Set filter

  1. In Dashboard Designer, in the Workspace Browser, click PerformancePoint Content.

  2. On the Create tab, click Filter.

    The Select a Filter Template dialog box opens.

  3. In the Select a Filter Template dialog box, click Named Set, and then click OK.

    The Create a Filter wizard opens.

  4. On the Select a Data Source page, select the data source that you want to use, and then click Next.

    • Use the SharePoint Site tab to view a list of data sources that have been saved to SharePoint Server.

    • Use the Workspace tab to view a list of data sources that you have created or used.

  5. On the Select Named Set page, use the Select named set list to select the group of items that you want to use for the filter.

    The Named set expression box displays the Multidimensional Expressions (MDX) query that the server uses to define that named set.

  6. Click Next.

  7. On the Select Display Method page, select one of the display types shown in the following table.

    Display method Description

    List

    Select this option to display the filter as a simple list in a drop-down menu. When you use this display type, dashboard consumers click an item in the list to specify what information to display.

    Tree

    Select this option to display the filter as a list that includes an expandable tree control in a drop-down menu. When you use this display type, dashboard consumers expand the tree control, and then they select one item or a group of items to apply as a filter.

    Multi-Select Tree

    Select this option to display the filter as a list that includes an expandable tree control that has check boxes in a drop-down menu. When you use this display type, dashboard consumers expand the tree control, and then they select the check boxes for the items that they want to use as a filter.

    After you select the display type that you want to use for the filter, click Finish.

  8. In the center pane, click the Properties tab.

  9. In the Name box, type the name that you want to use for the filter.

  10. (This step is optional.) To specify a location for the filter, click the Display Folder button, and then select or create a folder.

  11. In the Workspace Browser, right-click the filter, and then click Save.

After you have created the filter, you can add it to a dashboard page, and then connect it to one or more dashboard items. For more information, see Connect filters to reports or scorecards by using Dashboard Designer.

See also

Create dashboard filters by using Dashboard Designer
Assemble dashboard pages and link items together by using Dashboard Designer


Create Time Intelligence filters by using Dashboard Designer

Create Time Intelligence filters by using Dashboard Designer |
 | See also
[image]
Create Dashboards by using PerformancePoint Services > Create dashboard filters by using Dashboard Designer >

Applies to: SharePoint

Summary: Learn how to create Time Intelligence filters by using PerformancePoint Services Dashboard Designer.

When you use PerformancePoint Dashboard Designer to create a dashboard filter, you can select from various filter templates that include two Time Intelligence filter templates: the Time Intelligence filter template, and the Time Intelligence Connection Formula filter template.

  • Use the Time Intelligence filter template to create a dashboard filter that contains a list of rolling time periods that you specify. Some examples of time periods that you might use include Last Two Years, Last Six Months, and Last 30 Days. See To create a Time Intelligence filter.

  • Use the Time Intelligence Connection Formula filter template to create a dashboard filter that uses a calendar control that dashboard users can use to view information as of a particular date. By default, the calendar control is set to the current date in the dashboard. However, dashboard users can use it to select a different date. See To create a Time Intelligence Connection Formula filter.

Important Important:
Regardless of which template that you select for a dashboard filter, Time Intelligence filters will only work with data sources that have been configured to work with Time Intelligence. This applies not only to the data source that you use for each filter, but also to the data sources that are used by the scorecards and reports to which you want to connect a Time Intelligence dashboard filter. For more information, see Configure data sources to work with Time Intelligence by using Dashboard Designer.

In this article:

  • Create a dashboard filter by using the Time Intelligence filter template

  • Create a dashboard filter by using the Time Intelligence Connection Formula filter template

Create a dashboard filter by using the Time Intelligence filter template

To create a Time Intelligence filter

  1. In Dashboard Designer, in the Workspace Browser, click PerformancePoint Content.

  2. On the Create tab, click Filter.

  3. In the Select a Filter Template dialog box, click Time Intelligence, and then click OK.

  4. On the Select a Data Source page, click Add Data Source.

    The Select a Data Source dialog box opens.

  5. Select the data source that you want to use, and then click OK.

    • Use the SharePoint Site tab to view a list of data sources that have been saved to SharePoint Server.

    • Use the Workspace tab to view a list of data sources that you have created or used.

  6. Click Next.

  7. On the Enter Time Formula page, specify the list of items that you want to include in the filter. Do so by using the following procedure:

    1. Click a cell in the Formula column, and specify a Time Intelligence formula.

      The formula that you type might resemble one of the examples shown in the following table:

      Time Intelligence formula Description

      YearToDate

      Displays year-to-date information.

      Year:Year-2

      Displays information for a three-year period of time, from the current year to three years ago.

      Month:Month-5

      Displays information for the past six months.

      Week

      Displays information for the current week.

      For more examples of formulas that you can use, see PerformancePoint Time Intelligence quick reference.

    2. In the Display Name column, click the placeholder text, and then type a new phrase for the filter. For example, if you used YearToDate in the Formula column, you might type Year to Date in the Display Name column.

    3. Repeat steps a and b for each item that you want to use in the filter.

    4. Click the Preview button to test all the formulas that you specified. A Time Intelligence Preview window opens.

    5. In the Time Intelligence Preview window, verify that the formulas will work correctly.

      • If you receive a message that states that the data source has an invalid Time Intelligence configuration, you must configure the data source to work with Time Intelligence. Close the Time Intelligence Preview window, cancel the Create a Filter wizard, and then configure the data source. For more information, see Configure data sources to work with Time Intelligence by using Dashboard Designer.

      • If you receive a message that states that one or more of the formulas that you specified does not work, close the Time Intelligence Preview window and then configure those formulas. Next, click the Preview button to try again.

  8. After you have created and verified that the Time Intelligence formulas work, click Next.

  9. On the Select Display Method page, select one of the display types shown in the following table.

    Display method Description

    List

    Select this option to display the filter as a simple list in a drop-down menu. When you use this display type, dashboard consumers click an item in the list to specify what information to display.

    Tree

    Select this option to display the filter as a list that includes an expandable tree control in a drop-down menu. When you use this display type, dashboard consumers expand the tree control, and then they select one item or a group of items to apply as a filter.

    Multi-Select Tree

    Select this option to display the filter as a list that includes an expandable tree control that has check boxes in a drop-down menu. When you use this display type, dashboard consumers expand the tree control, and then they select the check boxes for the items that they want to use as a filter.

    After you select the display type that you want to use for your filter, click Finish.

  10. In the center pane, click the Properties tab.

  11. In the Name box, type the name that you want to use for the filter.

  12. (This step is optional.) To specify a location for the filter, click the Display Folder button, and then select or create a folder.

  13. In the Workspace Browser, right-click the filter, and then click Save.

After you have created a Time Intelligence or Time Intelligence Connection Formula filter, your next step is to connect it to a report or a scorecard. For more information, see Connect filters to reports or scorecards by using Dashboard Designer and Use the Connection Formula dialog box in Dashboard Designer to configure a filter connection.

Create a dashboard filter by using the Time Intelligence Connection Formula filter template

When you create a Time Intelligence Connection Formula filter, you do this in two phases:

  1. You create a dashboard filter by using the Time Intelligence Connection Formula filter template.

  2. You connect the filter to a report or a scorecard, and you use the Connection Formula dialog box to specify a Time Intelligence formula. You can connect the Time Intelligence Connection Formula filter to multiple reports and scorecards. However, you configure each connection separately and specify a formula for each connection.

To create a Time Intelligence Connection Formula filter

  1. In Dashboard Designer, in the Workspace Browser, click PerformancePoint Content.

  2. On the Create tab, click Filter.

  3. In the Select a Filter Template dialog box, click Time Intelligence Connection Formula, and then click OK.

  4. On the Select a Data Source page, click Add Data Source.

    The Select a Data Source dialog box opens.

  5. Select the data source that you want to use, and then click OK.

    • Use the SharePoint Site tab to view a list of data sources that have been saved to SharePoint Server.

    • Use the Workspace tab to view a list of data sources that you have created or used.

  6. Click Next.

  7. On the Select Display Method page, click Finish.

    Tip Tip:
    Notice that you did not specify any formulas or display methods. You specify a connection formula when you connect this filter to a report or a scorecard. In addition, the Time Intelligence Connection Formula filter only uses a calendar control.

  8. In the center pane, click the Properties tab.

  9. In the Name box, type the name that you want to use for the filter.

  10. (This step is optional.) To specify a location for the filter, click the Display Folder button, and then select or create a folder.

  11. In the Workspace Browser, right-click the filter, and then click Save.

    Important Important:
    At this point, you have created a Time Intelligence Connection Formula. However, you have not specified a formula the filter will use to display particular information. You must proceed to configure the connection between the Time Intelligence Connection Formula filter and a report or a scorecard.

When you connect a Time Intelligence Connection Formula filter to reports and scorecards in a dashboard, you configure each connection separately. Use the following procedure to connect a Time Intelligence Connection Formula filter to a report or a scorecard.

To connect a Time Intelligence Connection Formula filter to a report or a scorecard

  1. In Dashboard Designer, locate the Workspace Browser on the left side of the window, and then click PerformancePoint Content. The center pane displays two tabs: SharePoint and Workspace.

  2. Double-click the dashboard that you want to change to open it.

  3. In the Details pane on the right side of the window, expand the list of available filters. Drag the Time Intelligence Connection Formula filter that you want to use to a dashboard zone.

  4. Within the filter box that you added to the dashboard, click the down arrow located to the right side of the filter name, and then click Create Connection. The Connection dialog box opens, which enables you to configure the connection between the filter and scorecard or report.

  5. Click the Items tab. In the Send values to list, select the scorecard or report that you want to connect to the filter.

  6. Click the Values tab, and then select a combination of values by using the Connect to list and the Source value list.

    Depending on how the scorecard is configured, the list of options that are available in the Connect to and Source value lists will vary. By using these lists, you can choose from many combinations. For example, you can select a page, row, or column in one list, and Display Value or Member Unique Name in the other list.

    Although it might seem as if you can select any combination of values in the Connect to and Source value lists, not all combinations will work correctly. Some examples of combinations that work are listed in the following table.

    Connect to list item Source value list item Description

    TI formula

    Formula

    This configuration only works with PerformancePoint scorecards. It uses a Time Intelligence formula and causes the scorecard to display information for the specified time period.

    Current date-time

    Current date-time

    This configuration only works with PerformancePoint scorecards. It does not require a Time Intelligence formula and causes the scorecard to display information as of the current date.

    Axis, Page, Row, Column, or Row (or Column) Hierarchies

    Member Unique Name

    This configuration works with PerformancePoint reports and scorecards. It uses a report or scorecard member’s fully qualified member name together with a Time Intelligence formula and causes the scorecard or report to display information about dimension members for the specified time period.

    Time dimension

    Data source

    This configuration works with analytic charts and grids. It uses a Time Intelligence formula and causes the analytic chart or grid to display information for the specified time period.

  7. Click the Connection Formula button. The Connection Formula dialog box opens.

  8. In the Connection Formula dialog box, type a Time Intelligence formula. The formula that you type might resemble one of the examples shown in the following table.

    Time Intelligence Formula Description

    Day

    Displays information as of the date that is selected in the calendar control.

    Quarter:Quarter-3

    Displays information for the last four quarters as of the date that is selected in the calendar control.

    YearToDate

    Displays year-to-date information as of the date that is selected in the calendar control.

    For more examples of formulas that you can use, see PerformancePoint Time Intelligence quick reference.

  9. Click OK to close the Connection Formula dialog box.

  10. Click OK to close the Connection dialog box. In the center pane of the workspace, in the Connections box for the report or scorecard, you can see the name of the filter that you have connected to it.

  11. In the Workspace Browser, right-click the dashboard and then click Save.

    Deploy the dashboard to view and test the filter connection.

    Important Important:
    When you connect a filter to a scorecard, you can create an invalid filter connection that you might not notice until you deploy the dashboard and view it in a SharePoint site. When an invalid filter connection is made, a scorecard might display unexpected content or an error message. If this occurs, reconfigure the filter connection.

See also

Use the Connection Formula dialog box in Dashboard Designer to configure a filter connection
Assemble dashboard pages and link items together by using Dashboard Designer


Create and assemble a dashboard page by using Dashboard Designer
[image]
Create Dashboards by using PerformancePoint Services >

Applies to: SharePoint

Summary: Learn how to create and assemble a dashboard page by using PerformancePoint Dashboard Designer in SharePoint Server.

When you and other dashboard authors have created the reports and scorecards that you want to display in a dashboard, you are ready to create and assemble the dashboard pages.

Articles about how to set up dashboard pages

Read the following articles to learn how to set up your dashboard pages by using PerformancePoint Dashboard Designer.

Building blocks Content | Description
Create dashboard pages by using Dashboard Designer | When you have created one or more views to display in a dashboard, you are ready to create dashboard pages to contain those dashboard items.
Configure specific sizes of individual PerformancePoint dashboard zones or items with zones | Each template for a dashboard page contains one or more zones in a particular arrangement. However, you can easily add zones, remove zones, and configure the sizes of your zones.
Assemble dashboard pages and link items together by using Dashboard Designer | After you have created dashboard items, such as pages, report views, and filters, your next step is to assemble your dashboard pages by using Dashboard Designer.


Create dashboard pages by using Dashboard Designer

Create dashboard pages by using Dashboard Designer |
 | See also
[image]
Create Dashboards by using PerformancePoint Services > Create and assemble a dashboard page by using Dashboard Designer >

Applies to: SharePoint

Summary: Learn how to create dashboard pages by using PerformancePoint Dashboard Designer in SharePoint Server.

When you and other dashboard authors have created one or more views to display in a dashboard, you are ready to create dashboard pages to contain those dashboard items. Read this article to learn how to create dashboard pages by using PerformancePoint Dashboard Designer.

Use Dashboard Designer to create dashboard pages

When you use Dashboard Designer to create your dashboard pages, you start by selecting a page template. You can change the page layout template selected for each page, and then you can add items to the pages.

To create the first page of a dashboard

  1. In Dashboard Designer, in the Workspace Browser, click PerformancePoint Content.

  2. In the ribbon, click the Create tab.

  3. In the ribbon, in the Dashboard Items group, click Dashboard.

    The Select a Dashboard Page Template dialog box opens.

  4. Select a page layout for the dashboard page, and then click OK.

    You can select from seven different page layout templates, as in the following list:

    • 1 Zone

    • 2 Columns

    • 2 Rows

    • 3 Columns

    • 3 Rows

    • Column, Split Column

    • Header, 2 Columns

    Tip Tip:
    Select the page layout template that is best suited for the dashboard content that you want to display. For example, if you have only one report or scorecard to display, you might select the 1 Zone template. On the other hand, if you have several reports and a dashboard filter to display, you might select the Header, 2 Columns template.
    We recommend that you do not display too many items in a single page. Otherwise, the individual items on the page might not be displayed correctly. You can easily add more pages to a dashboard to display a large number of reports and scorecards in the dashboard.

  5. (This step is optional.) Make changes to the dashboard page layout. For example, you can add or remove a dashboard zone, or configure the sizes of dashboard zones. For more information, see Add, remove, or change the sizes of your zones.

  6. In the center pane, click the Properties tab.

  7. In the Name box, type the name that you want to use for the dashboard.

    Note Note:
    The name that you specify applies to the dashboard, not individual dashboard pages.

  8. (This step is optional.) To specify a location for the dashboard, click the Display Folder button, and then select or create a folder.

  9. (This step is optional.) To specify a name for the dashboard page, follow these steps:

    1. In the center pane, click the Editor tab.

    2. In the Pages section, click the dashboard page name to highlight it, and then type a new name for the page.

  10. In the Workspace Browser, right-click the dashboard, and then click Save.

To add pages to a dashboard

  1. Begin with the dashboard open for editing in Dashboard Designer. In the center pane, click the Editor tab.

  2. In the Pages section, click New Page to open the Select a Dashboard Page Template dialog box.

  3. Select a page layout for the dashboard page, and then click OK.

  4. (This step is optional.) Make changes to the dashboard page layout. For example, you can add or remove a dashboard zone, or configure the sizes of dashboard zones. For more information, see Add, remove, or change the sizes of your zones.

  5. (This step is optional.) To specify a name for the dashboard page, follow these steps:

    1. In the center pane, click the Editor tab.

    2. In the Pages section, click the dashboard page name to highlight it, and then type a new name for the page.

  6. Repeat steps 1-5 for each page that you want to add to the dashboard.

  7. If you want the page navigator displayed, then click the Properties tab and select the Include page list for navigation check box.

  8. In the Workspace Browser, right-click the dashboard, and then click Save.

After you have set up your dashboard pages, you are ready to add items, such as reports, scorecards, and filters, to those dashboard pages.

See also

Assemble dashboard pages and link items together by using Dashboard Designer


Configure specific sizes of individual PerformancePoint dashboard zones or items with zones
[image]
Create Dashboards by using PerformancePoint Services > Create and assemble a dashboard page by using Dashboard Designer >

Applies to: SharePoint

Summary: Learn how to configure the sizes of zones on Dashboard Designer in SharePoint Server.

When you create a dashboard by using PerformancePoint Dashboard Designer, you start by selecting a page template. Each template contains one or more dashboard zones in a particular arrangement. However, you are not limited to those configurations. You can easily add zones, remove zones, and configure the sizes of your zones. And, if you have too many items to fit on one page, you can easily add another page to your dashboard.

Add, remove, or change the sizes of your zones by using Dashboard Designer

After you select a template for your dashboard you can configure the size of one or more zones in your dashboard. As you add zones to a dashboard page, all the zones are automatically resized to accommodate the additional zones.

Tip Tip:
If you add too many zones to a single page, your dashboard items might appear so small that they are difficult to view or are overwhelming for dashboard users. In addition, chart legends might not appear correctly.
To add or remove a zone

  1. In the center pane click the Editor tab.

  2. Right-click the Dashboard Content section, and then click one of the following:

    • Add Left. Adds a new zone to the left of the pointer

    • Add Right. Adds a new zone to the right side of the pointer

    • Add Above. Adds a new zone above the pointer

    • Add Below. Adds a new zone under the pointer

    • Split Zone. Divides the zone nearest the pointer into two zones of equal size

    • Delete Zone. Removes the zone nearest the pointer

To change the size of one or more dashboard zones

  1. In the center pane click the Editor tab.

  2. In the Dashboard Content section, right-click the zone that you want to configure. Or, if the zone contains an item, right-click the header of the zone, and then click Zone Settings. The Zone Settings dialog box opens.

    • On the Size tab, specify width and height settings for the dashboard zone. Zones can only be sized based on percentage and cannot be auto-sized or sized to specific pixel counts.

    • On the Orientation tab, arrange the items in the zone. You can select Horizontal, Vertical, or Stacked. The Horizontal option arranges multiple items in a row. The Vertical option arranges multiple items in a column. The Stacked option layers multiple items in the same location on the dashboard page. Dashboard users use a drop-down list to switch between the items.

    • Click OK to save your changes and close the Zone Settings dialog box.

Add a page to your dashboard by using Dashboard Designer

You can easily group many reports and scorecards in a single dashboard and keep it easy to use by adding pages to your dashboard. And you can use a different template for each page. When you have more than one page in your dashboard, you can display a page navigator across the top of your dashboard, which enables dashboard users to easily navigate through the pages.

To add a page to a dashboard

  1. In the center workspace pane, click the Editor tab. In the Pages section, click New Page to open the Select a Dashboard Page Template dialog box.

  2. If you want the page navigator displayed, then click the Properties tab and check Include page list for navigation.


Assemble dashboard pages and link items together by using Dashboard Designer
[image]
Create Dashboards by using PerformancePoint Services > Create and assemble a dashboard page by using Dashboard Designer >

Applies to: SharePoint

Summary: After you have created dashboard items, such as pages, report views, and filters, your next step is to assemble your dashboard pages by using Dashboard Designer.

Depending on how your dashboards are configured, you might also want to link some items, such as filters, to other items, such as reports.

Articles about how to assemble dashboard pages and link items together by using Dashboard Designer

Read the following articles to assemble your dashboard pages and link items together.

Task | Article
Add dashboard items, such as reports, scorecards, and filters, to a dashboard page. | Add dashboard items to a page by using Dashboard Designer


Add dashboard items to a page by using Dashboard Designer

Add dashboard items to a page by using Dashboard Designer |
 | See also
[image]
Create Dashboards by using PerformancePoint Services > Create and assemble a dashboard page by using Dashboard Designer > Assemble dashboard pages and link items together by using Dashboard Designer >

Applies to: SharePoint

Summary: Learn how to add dashboard items to a page by using PerformancePoint Dashboard Designer in SharePoint Server.

After you have created PerformancePoint dashboard items, such as reports, scorecards, and filters, and dashboard pages, your next step is to add items to the dashboard pages.

Use Dashboard Designer to add items to a dashboard

To add items to a dashboard page, you open a dashboard for editing, and then you add the items that you want to include in the dashboard.

To open a dashboard page for editing in Dashboard Designer

  1. In PerformancePoint Dashboard Designer, locate the Workspace Browser on the left side of the window, and then click PerformancePoint Content. The center pane displays two tabs: SharePoint and Workspace.

  2. Locate a dashboard to which you want to add items.

  3. Double-click the dashboard that you want to change to open it for editing.

  4. If the dashboard contains more than one page, open the page that you want to edit. To do this, follow these steps:

    1. In the center pane, click the Editor tab.

    2. In the Pages section, click the name of the page to which you want to add dashboard items.
To add items to a dashboard page in Dashboard Designer

  1. Begin with a dashboard page open for editing in Dashboard Designer, and the Editor tab displayed.

  2. In the Details pane on the right side of the window, expand the Scorecards, Reports, or Filters list.

  3. Locate the scorecard, report, or filter that you want to add to the dashboard, and then drag it to a dashboard zone.

    As you add items to a dashboard, keep in mind the suggestions in the following list:

    • As a best practice, put dashboard filters in a separate zone from where you put reports and scorecards. Otherwise, items such as chart legends or reports might not be displayed correctly.

    • Consider using the Header, 2 Columns dashboard page template for pages that will include dashboard filters. Then, you can put the filters in the Header zone, and put reports and scorecards in the other zones.

    • If you are adding an Excel Services report to the dashboard, make sure that you use the auto-size setting. Otherwise, additional scrollbars might display in the deployed dashboard. To specify auto-size settings, follow these steps:

      1. Immediately after you have added the Excel Services report to the dashboard, on the Edit tab, in the Layout group, click Edit Item.

        The Item Settings dialog box opens.

      2. On the Size tab, in the Width section, select Auto-size width.

      3. On the Size tab, in the Height section, select Auto-size height, and then click OK.

  4. Repeat steps 2 and 3 for each item that you want to include in the dashboard.

  5. In the Workspace Browser, right-click the dashboard, and then click Save.

  6. Do one of the following tasks:

    • Connect any filters to scorecards or reports. For more information, see Connect filters to reports or scorecards by using Dashboard Designer.

    • Add a KPI Details report to the page. For more information, see Add a KPI Details report to a dashboard by using Dashboard Designer.

    • Publish the dashboard to SharePoint Server. For more information, see Deploy PerformancePoint dashboards.

See also

Create dashboard pages by using Dashboard Designer
Assemble dashboard pages and link items together by using Dashboard Designer


Connect filters to reports or scorecards by using Dashboard Designer

Connect filters to reports or scorecards by using Dashboard Designer |
 | See also
[image]
Create Dashboards by using PerformancePoint Services > Create and assemble a dashboard page by using Dashboard Designer > Assemble dashboard pages and link items together by using Dashboard Designer >

Applies to: SharePoint

Summary: Learn how to connect filters to reports or scorecards using PerformancePoint Services Dashboard Designer.

When you create a dashboard using PerformancePoint Dashboard Designer, you can include one or more filters in your dashboard pages, and then link those filters to scorecards and reports. Filters are dashboard elements that you can create and attach to scorecards and reports to restrict the kinds of content that you want to display.

To connect a filter to a report or a scorecard by using Dashboard Designer

  1. In Dashboard Designer, locate the Workspace Browser on the left side of the window, and then click PerformancePoint Content. The center pane displays two tabs: SharePoint and Workspace.

  2. Double-click the dashboard that you want to change to open it.

  3. In the Details pane on the right side of the window, expand the list of available filters. Drag the filter that you want to use to a dashboard zone.

  4. Within the filter box that you added to the dashboard, click the down arrow located to the right side of the filter name, and then click Create Connection. The Connection dialog box appears, which enables you to configure the connection between the filter and dashboard item.

  5. Click the Items tab. In the Send values to list, select the report or scorecard that you want to connect to the filter.

  6. Click the Values tab, and then select a combination of values by using the Connect to list and the Source value list.

    Depending on how the scorecard is configured, the list of options that are available in the Connect to and Source value lists will vary. By using these lists, you can choose from many combinations. For example, you can select a page, row, or column in one list, and Display Value or Member Unique Name in the other list.

    Although it might seem as if you can select any combination of values in the Connect to and Source value lists, not all combinations will work correctly. You will not see whether a filter connection works until you publish the dashboard to a SharePoint site, such as a designated location where you can preview and test the dashboard.

    Some examples of combinations that work are listed in the following table.

    Connect to list item Source value list item Description

    Dimension Hierarchies on Rows or Columns

    Member Unique Name

    This configuration causes the filter to replace rows or columns in a report or scorecard to be replaced with the item or items that dashboard consumers select by using the filter.

    Axis, Page, Row, Column, or Row (or Column) Hierarchies

    Display Value

    This configuration causes member captions from a report or scorecard’s underlying database to be displayed in the report or scorecard when the filter is applied. (Member captions resemble labels like "Baseball Bats" or "Baseball Gloves.")

    TI formula (This only applies to Time Intelligence filters.)

    Formula

    This configuration only works with PerformancePoint scorecards. It uses a Time Intelligence formula and causes the scorecard to display information for the specified time period.

    Current date-time (This only applies to Time Intelligence filters.)

    Current date-time

    This configuration only works with PerformancePoint scorecards. It does not require a Time Intelligence formula and causes the scorecard to display information as of the current date.

    Time dimension (This only applies to Time Intelligence filters.)

    Data source

    This configuration works with analytic charts and grids. It uses a Time Intelligence formula and causes the analytic chart or grid to display information for the specified time period.

  7. To apply a formula that additionally filters the content, click the Connection Formula button. The Connection Formula dialog box appears.

    In the Connection Formula dialog box, type a formula that will be applied to filter the data before it reaches the report or scorecard. Depending on the filter that you are connecting, the formula that you specify can include a Time Intelligence statement or an MDX query. For example, if you are connecting a Time Intelligence Connection Formula filter to a report or a scorecard, you can only specify a Time Intelligence statement.

    After you have specified your formula, click OK to close the Connection Formula dialog box.

  8. Click OK to close the Connection dialog box. In the center pane of the workspace, in the Connections box for the report or scorecard, you can see the name of the filter that you have connected to it.

  9. In the Workspace Browser, right-click the dashboard and then click Save. Deploy the dashboard to view and test the filter connection.

    Important Important:
    When you connect a filter to a report or a scorecard, you can create an invalid filter connection that will only become visible when you view the dashboard in its SharePoint site. When an invalid filter connection is made, a report or scorecard displays unexpected content or an error message. If this occurs, reconfigure the filter connection.

See also

Create dashboard filters by using Dashboard Designer


Use the Connection Formula dialog box in Dashboard Designer to configure a filter connection
[image]
Create Dashboards by using PerformancePoint Services > Create and assemble a dashboard page by using Dashboard Designer > Assemble dashboard pages and link items together by using Dashboard Designer >

Applies to: SharePoint

Summary:Learn how to configure a dashboard filter connection by using the Connection Formula dialog box.

When you use PerformancePoint Dashboard Designer to connect a filter to a view, you can use the Connection Formula dialog box to specify a formula. The formula that you specify causes the view to display particular information. For example, you can specify a formula to show data for dynamic time periods, such as the last six months. (This is called Time Intelligence.)

The Connection Formula dialog box

You use the Connection Formula dialog box after you have connected a dashboard filter to a view and when you are connecting a Time Intelligence formula to a view. Depending on the formula that you specify, you can use the Connection Formula dialog box to display information in a view for dynamic time periods, such as the last year or the last six months. Or, you can use it to display more detailed results in a view than the filter would otherwise provide.

For example, suppose that you have created a dashboard filter that is called Products. That filter enables dashboard users to select a product category in a list, and then view information about that product category in the views that are connected to the filter. Suppose also that you want one view to show only the five best-selling products for each product category when the filter is applied. You can use the Connection Formula dialog box to specify a query to display that information in the view.

When you use the Connection Formula dialog box, you specify a Time Intelligence formula or a Multidimensional Expressions (MDX) query, depending on the information that you want to display.

Example: Specifying a Time Intelligence formula

Suppose that you create dashboards for the managers in your organization. A marketing manager wants to know how many leads a recent marketing campaign generated for the sales team. The manager also wants to see how many of those leads turned into actual sales over specific time periods, such as the last three months.

The current dashboard includes views that show the number of leads that were generated by each marketing campaign and how many leads were converted to sales. The marketing manager tells you that the dashboard provides good high-level information, but not enough data about specific periods of time.

Your solution is to create a Time Intelligence filter and connect it to your views. In the Connection Formula dialog box, you specify a formula to display information for the last three months. Then, you redeploy the dashboard.

The managers use that Time Intelligence filter to specify the time periods they want to examine, and their views display the appropriate results.

Example: Specifying an MDX query

Suppose that you create dashboards for the managers in your organization. One sales manager has a team that is responsible for multiple geographical regions. Some regional sales representatives are performing much better than other sales representatives are. In addition, the sales representatives in the major cities of each region all have varying sales amounts. The manager wants to know which cities have the highest sales in the individual regions, and how the sales amounts compare among all the cities in a particular region. The manager wants to see all this information in a single dashboard.

Your solution is to create a Geography filter that contains a list of regions. You connect the filter to the analytic views, and then you use the Connection Formula dialog box to specify an MDX query. That query causes the views that are connected to the filter to display information at the city level. Then you link the filter to the analytic charts, and redeploy the dashboard.

The managers use the Geography filter to specify a sales region, and the views automatically display information that is specific to that region. One view shows the top performing cities in the region, and another view shows the sales amounts for all the cities in the region.

Syntax of Connection Formula expressions

You can enter two kinds of expressions in the Connection Formula dialog box: a Time Intelligence expression or an MDX query.

  • A Time Intelligence expression uses the Simple Time Period Specification (STPS) syntax.

    STPS expressions take the form (Period + n) or (Period - n), where "n" is a positive integer that represents the number of time periods to include in a filter. Depending on the data sources that are used by the filter and the items connected to it, you can use time increments such as Year, Month, and Day. For example, (Year - 6) is an STPS expression that you can use to configure your filter to retrieve information for the last six years.

  • An MDX query can include one or more monikers, such as <<SourceValue>> or <<UniqueName>>. These monikers can be used alone or as part of a larger MDX query.

Important Important:
The specific formula that you use will vary depending on the data sources that are used for your filter and the item that you are connecting to the filter. Not all formulas work with all kinds of reports and scorecards. For example, let's say that you are connecting a filter to a report or scorecard that uses a data source that is not configured to work with Time Intelligence. In that case, the STPS expressions will not work for your filter connection. In addition, when you use some kinds of filters, such as a Time Intelligence Connection Formula filter, you must specify a formula in the Connection Formula dialog box.

Below are several examples of formulas to give you an overview of the kinds of expressions that you can use in the Connection Formula dialog box.

Examples of Time Intelligence expressions

Description | Syntax
Period-to-date functions to show results for a current period up to the current date | YearToDate or MonthToDate
Function to show a set of time periods, such as the most recent six months | (Month-5):Month

Examples of MDX expressions

Description | Syntax
Query that displays the children of a selected member | <<UniqueName>>.Children or <<SourceValue>>.Children
Function to show the top 10 items that are two levels under a selected member | TopCount({Descendants(<<UniqueName>>,2)}


Add a KPI Details report to a dashboard by using Dashboard Designer

Add a KPI Details report to a dashboard by using Dashboard Designer |
 | See also
[image]
Create Dashboards by using PerformancePoint Services > Create and assemble a dashboard page by using Dashboard Designer > Assemble dashboard pages and link items together by using Dashboard Designer >

Applies to: SharePoint

Summary: Learn how to add a KPI details report to a dashboard created with PerformancePoint Dashboard Designer.

Using PerformancePoint Dashboard Designer, you can add a KPI Details report to a dashboard that contains a scorecard. A KPI Details report is useful for providing additional information about scorecard key performance indicator (KPI) values and properties.

To add a KPI Details report, you first open a dashboard for editing, and then you add the KPI Details report to a dashboard page.

Tip Tip:
Before you start, make sure that a KPI Details report exists. For more information, see Create a KPI Details report by using Dashboard Designer.
To open a dashboard for editing

  1. In Dashboard Designer, locate the Workspace Browser on the left side of the window, and then click PerformancePoint Content. The center pane displays two tabs: SharePoint and Workspace.

  2. Locate the dashboard to which you want to add a KPI Details report.

    Note Note:
    Make sure that the dashboard that you select contains a scorecard. A KPI Details report must be connected to a scorecard to display information.

  3. Double-click the dashboard that you want to change to open it for editing.

  4. If the dashboard contains more than one page, open the page that you want to edit. To do this, follow these steps:

    1. In the center pane, click the Editor tab.

    2. In the Pages section, click the name of the page that will contain the KPI Details report.
To add a KPI Details report to a dashboard page

  1. Begin with a dashboard page open for editing in Dashboard Designer, and the Editor tab displayed.

  2. In the Details pane on the right side of the window, expand the list of available reports. Drag the KPI Details report to a dashboard zone.

  3. Within the KPI Details box that you added to the dashboard, click the down arrow located to the right side of the report name, and then click Create Connection. The Connection dialog box opens, which enables you to configure the connection between the KPI Details report and a scorecard.

  4. Click the Items tab. In the Get values from list, select the scorecard that you want to connect to the KPI Details report. (You should see the KPI Details report already listed in the Send values to box.

    Note Note:
    If the dashboard page contains any dashboard filters, you might see those filters in the Get values from list together with any scorecards that might be there. Although you can connect a filter to a scorecard, filters do not work directly with the KPI Details report. This is because all the information that is displayed in the KPI Details report is determined by where dashboard users click in its accompanying scorecard.

  5. Click the Values tab and locate the Connect to list. In the Connect to list, select Cell.

  6. Use the Source value list to select Cell: Context.

  7. Click OK to close the Connection dialog box. In the center pane of the workspace, in the Connections box for the KPI Details report, you can see the name of the scorecard that you have connected to it.

  8. In the Workspace Browser, right-click the dashboard and then click Save. Deploy the dashboard to view and test the KPI Details report.

See also

Assemble dashboard pages and link items together by using Dashboard Designer


Deploy PerformancePoint dashboards
[image]
Create Dashboards by using PerformancePoint Services > Create and assemble a dashboard page by using Dashboard Designer >

Applies to: SharePoint

Summary: Learn how to publish a PerformancePoint Dashboard.

When you have assembled a PerformancePoint Services dashboard and are ready to view and use it, you publish it or “deploy it” to a SharePoint document library that contains PerformancePoint dashboards.

Important Important:
Before you start, make sure that you have at least Design permissions to the top-level SharePoint site that contains the subsite or folder where your dashboard content is stored. Otherwise, you can get an "Access denied" error message when you attempt to publish your dashboard.
To deploy (publish) a PerformancePoint dashboard

  1. Open Dashboard Designer. In the Workspace Browser pane, click PerformancePoint Content. Then, in the ribbon, click the Home tab, and then click Refresh.

  2. In the center pane of the workspace, double-click the dashboard that you want to publish. The Workspace Browser and the center pane refresh to display a list of dashboard items that you and other dashboard authors have saved to SharePoint Server.

  3. (This step is optional.) Click the Editor tab, and verify that each dashboard page contains all the items that you want to include in your dashboard. If you want, you can add or change the items that are in your dashboard. Then, in the Workspace Browser, right-click the dashboard, and then click Save.

  4. In the Workspace Browser, right-click the dashboard, and then click Deploy to SharePoint.

  5. If you are publishing the dashboard for the first time to a SharePoint site, the Deploy To box opens.

    • Select the Dashboards library that you want to use.

    • Use the Master Page list to specify a page template for your dashboard.

    • If your dashboard consists of more than one page, select the Include page list for navigation check box.

    • After you have specified the deployment settings for the dashboard, click OK.

  6. A Deploy to SharePoint Site box opens to display the status of your dashboard deployment. After your dashboard is deployed, a browser window opens to display your dashboard. There, you can view and test your dashboard items. When you are ready to share the dashboard with other users, you can copy the website address (URL) and send it in an e-mail message.


Configure data sources to work with Time Intelligence by using Dashboard Designer

Configure data sources to work with Time Intelligence by using Dashboard Designer |
 | See also
[image]
Create Dashboards by using PerformancePoint Services >

Applies to: SharePoint

Summary: Learn how to configure data sources to work with Time Intelligence using PerformancePoint Services Dashboard Designer.

When you want to use Time Intelligence in your PerformancePoint dashboards, make sure that you configure the appropriate data sources correctly to work with Time Intelligence. For example, suppose that you create a dashboard filter that uses Time Intelligence, and you want to connect it to multiple reports and scorecards. The data sources that are used for those items must all be configured to work with Time Intelligence. Otherwise, the dashboard filter will not function correctly.

When you configure a data source to work with Time Intelligence, you specify the values that determine how time will be interpreted for each data source. After a data source connection is created in PerformancePoint Services, the time properties are set on the Time tab. Tabular data sources, which include Excel Services workbooks, Excel workbooks, SharePoint lists, and SQL Server tables, have a different set up page for their time properties compared to SQL Server Analysis Services data sources.

In this section:

  • Configure Analysis Services data source time settings by using Dashboard Designer

  • Configure tabular data source time settings by using Dashboard Designer

  • PerformancePoint Time Intelligence quick reference

See also

PerformancePoint Time Intelligence quick reference
Create Time Intelligence filters by using Dashboard Designer


PerformancePoint Time Intelligence quick reference

PerformancePoint Time Intelligence quick reference |
 | See also
[image]
Create Dashboards by using PerformancePoint Services > Configure data sources to work with Time Intelligence by using Dashboard Designer >

Applies to: SharePoint

Summary: Learn which formulas and syntax to use when using Time Intelligence while creating dashboards with PerformancePoint Services Dashboard Designer.

PerformancePoint Services in SharePoint Server 2013 includes advanced functionality that includes Time Intelligence. You can use Time Intelligence to display information for dynamic periods of time, such as year to date or last 30 days, in your reports and scorecards. You can also create dashboard filters that use Time Intelligence.

When you include Time Intelligence in your dashboards, you use a particular syntax to create formulas that are known as TI formulas.

Read this article for an overview of the different kinds of TI formulas that you can use. For information about how to use Time Intelligence in your dashboards, see the following articles:

  • Create Time Intelligence filters by using Dashboard Designer

  • Use the Connection Formula dialog box in Dashboard Designer to configure a filter connection

Quick samples

Formula structure:

[(]<Period>[Offset>[)][ <Function>[<Offset>]]]

To display | Formula | Result
Yesterday | day-1 | The previous day relative to the current date
Tomorrow | day+1 | The next day relative to the current date.
The current quarter and today | quarter, day | A set of time periods consisting of the current day and current quarter.
Last 10 days | day:day-9 | A 10-day range including today.
Last 10 days (excluding today) | day-1:day-10 | A 10-day range NOT including today.
Same day last year | (year-1).day | Current date (month and day) for last year. For example, if the current date were December 10, 2012, then (year-1).day would show information for December 10, 2011.
Same month last year | (year-1).month | Current month for last year. For example, if the current month were December, 2012, then (year-1).month would show information for December, 2011.
Same range of a period of six months last year | (year-1).(month-5): (year-1).(month) | From 18 months ago to one year ago. For example, if the current month were December 2012, then (year-1).(month-5): (year-1).month would show information for the time period ranging from June, 2011 to December, 2011.
Same range of months to date for last year | (year-1).firstmonth: (year-1).month | From the first month of last year up to and including the month parallel to the current month this year.
Year to date | yeartodate | A single time period representing the aggregation of values from the beginning of the year up to and including the last completed period. The period corresponds to the most specific time period defined for the data source.
Year to date (by month) | yeartodate.fullmonth | A single time period representing the aggregation of values from the beginning of the year up to and including the last completed month.
Year to date (by day) | yeartodate.fullday | A single time period representing the aggregation of values from the beginning of the year up to and including the last completed day.
Parallel year to date | yeartodate-1 | The aggregation of the same set of default time periods completed in the current year except for the prior year.
Parallel year to date (by month) | (yeartodate-1).fullMonth | The aggregation of time periods last year that is equal to year to date periods for the current year.

General conventions

  • TI formulas are not case-sensitive.

  • White space is ignored.

  • Use parentheses when you use a time period with an offset together with a function.

  • Offsets can be defined on any standard and “to date” time period.

  • The current period is assumed when no offset is specified.

  • Use singular nouns, not plurals in your TI formulas. For example, use "month" and not "months."

Syntax elements

The TI formulas consist of operators, periods and functions. The formula is intentionally simple yet robust.

Operators

Operator | Use
“.“ | The period or “dot” operator delimits time periods from functions. The string in front of the dot always corresponds to the time period. The string following the dot always corresponds to the time period function. Example: year.firstMonth
“+” or “-” | The plus (+) and minus (-) operators are used to determine the offset relative to the current date. Use the minus sign (-) to specify time periods in the past. Use the plus sign (+) to specify time periods in the future. Example: day-1
“()” | Parentheses are used to group a time period and its offset when you use them together with a function. Required. Example: (year-1).firstMonth:(year-1).month
“,” | Commas are used to delimit multiple time periods in the same formula. Example: year, Quarter, Month, day
“:” | The colon operator (:) specifies a range of time periods. Example: day:day-4

Standard time periods

Standard time periods supported in PerformancePoint Services include the following:

Period | Example
Year | Year-1, year+2
Quarter | quarter, Quarter-4
Month | Month-2
Week | Week-51
Day | Day-9, day+2
Hour | Hour-12
Minute | minute-30
Second | second+5

Standard time period functions

Time period functions can be applied to any standard time period using the dot operator (.). The functions available in PerformancePoint Services include the following:

Function | Use
FirstQuarter | Specifies the first quarter in a year.
LastQuarter | Specifies the last quarter in a year
FirstMonth | Specifies the first month in a year or quarter.
LastMonth | Specifies the last month in a year or quarter.
FirstWeek | Specifies the first week in a year, quarter, or month.
LastWeek | Specifies the last week in a year, quarter, or month.
FirstDay | Specifies the first day in a week, month, or larger time period.
LastDay | Specifies the last day in a week, month, or larger time period.
FirstHour | Specifies the first hour in a day, week, or larger time period.
LastHour | Specifies the last hour in a day, week, or larger time period.
FirstMinute | Specifies the first minute in an hour, day, or larger time period.
LastMinute | Specifies the last minute in an hour, day, or larger time period.
FirstSecond | Specifies the first minute in a minute, hour, or larger time period.
LastSecond | Specifies the last minute in a minute, hour, or larger time period.

Period-to-date formulas

Period-to-date formulas are new in PerformancePoint Services. Period-to-date calculations aggregate all the time periods to date up to the last completed full period. Incomplete time periods are automatically excluded. By default, they are evaluated to the lowest degree of precision in the data source. For example, if the most specific time period in the data source were days, then the month-to-date expression will aggregate all days from the beginning of the month to the last completed full day in the month. (The opposite is true for standard time periods; these automatically include incomplete periods.) PerformancePoint Services supports the following period-to-date time periods:

Period | Use
YearToDate | Specifies a time period from the beginning of the year to the current period.
QuarterToDate | Specifies a time period from the beginning of the quarter to the current period.
MonthToDate | Specifies a time period from the beginning of the month to the current period.
WeekToDate | Specifies a time period from the beginning of the week to the current period.
DayToDate | Specifies a time period from the beginning of the day to the current period.
HourToDate | Specifies a time period from the beginning of the hour to the current period.
MinuteToDate | Specifies a time period from the beginning of the minute to the current period.

Period-to-date functions

Period-to-date functions enable you to control the level of detail for time periods to include. If, for example, you want to show the year-to-date including up to the last completed full month, you can add a full-period function. PerformancePoint Services supports the following full-period functions:

Function | Effect
FullQuarter | Specifies that the period to date should include up to the last full quarter.
FullMonth | Specifies that the period to date should include up to the last full month.
FullWeek | Specifies that the period to date should include up to the last full week.
FullDay | Specifies that the period to date should include up to the last full day.
FullHour | Specifies that the period to date should include up to the last full hour.
FullMinute | Specifies that the period to date should include up to the last full minute.
FullSecond | Specifies that the period to date should include up to the last full second.

Parallel period-to-date

You can use Time Intelligence to compare values for a set of time periods for the current year to an equivalent set of time periods for the previous year. For example, suppose that the current year to date includes January–July of 2012. You may want to compare this value to the same set of time periods for the previous year; in this case January–July 2011. This is easy to do by using TI formulas. Simply add an offset value to the to-date period.

YearToDate-1

In fact, offsets can be specified on any to-date time period. This also works when a full period function is applied additionally. Remember to use parentheses in this case.

(YearToDate-1).FullMonth

See also

Configure data sources to work with Time Intelligence by using Dashboard Designer
Create Time Intelligence filters by using Dashboard Designer
Use the Connection Formula dialog box in Dashboard Designer to configure a filter connection


Configure tabular data source time settings by using Dashboard Designer

Configure tabular data source time settings by using Dashboard Designer |
 | See also
[image]
Create Dashboards by using PerformancePoint Services > Configure data sources to work with Time Intelligence by using Dashboard Designer >

Applies to: SharePoint

Summary: Learn how to configure tabular data source time settings within PerformancePoint Services Dashboard Designer.

When you want to use Time Intelligence in your PerformancePoint dashboards, make sure that you configure the appropriate data sources correctly to work with Time Intelligence. When you configure a data source to work with Time Intelligence, you specify the values that determine how time will be interpreted for each data source. Read this article to learn how to configure tabular data sources, such as Excel Services workbooks, Excel workbooks, SharePoint lists, and SQL Server tables, to work with Time Intelligence.

Semesters, quarters, and weeks are relative, and are based on the start month, whereas years, months, days, hours, minutes, and seconds are absolute and are based on the traditional calendar. In the relative time periods, Time Intelligence treats dates that are earlier than the start month as occurring in the previous year, and dates that are later than the start month as occurring in the current year.

Important Important:
Always have time dimensions start at the beginning of their respective year, even if that means having empty members for the first half of the year. For example, if the fiscal time dimension year starts on July 1, 2012, but only has data recorded for January 1, 2013, you still must start the fiscal time dimension on July 1, 2012, to ensure that Time Intelligence functions for the full initial fiscal year.

PerformancePoint Services automatically detects date values in a tabular data source.

If the time dimension that you want to use is not listed in the Time Dimensions section, click the View tab to preview the data source. Select the date column in the preview, and then in the Details pane under Column Type, select TimeDimension.

To set time properties in a tabular data source

  1. After creating a tabular data source connection, click the Time tab.

  2. The Time Dimensions section lists the time columns that PerformancePoint Services has auto-detected in the data source. Select the Time Dimension on which to base all Time Intelligence formulas and functions.

  3. In the Time Period Levels section, select the period levels that you want to use.

    Important Important:
    Time Intelligence for tabular data sources lets you select and use the whole range of levels. This differs from setting time periods in an Analysis Services cube data source, which restricts you to only those time period levels that are built in the cube’s time dimension.

  4. In the Fiscal Calendar section, select the month starts the fiscal year. The first day of the selected month is the start date for the year.

  5. Click Save on the toolbar.

See also

Configure data sources to work with Time Intelligence by using Dashboard Designer
Create Time Intelligence filters by using Dashboard Designer
Use the Connection Formula dialog box in Dashboard Designer to configure a filter connection


Configure Analysis Services data source time settings by using Dashboard Designer

Configure Analysis Services data source time settings by using Dashboard Designer |
 | See also
[image]
Create Dashboards by using PerformancePoint Services > Configure data sources to work with Time Intelligence by using Dashboard Designer >

Applies to: SharePoint

Summary:Learn how to set time properties in PerformancePoint Services Dashboard Designer for Analysis Services data sources.

When you want to use Time Intelligence in your PerformancePoint dashboards, make sure that you configure the appropriate data sources correctly to work with Time Intelligence. When you configure a data source to work with Time Intelligence, you specify the values that determine how time will be interpreted for each data source. Read this article to learn how to configure SQL Server Analysis Services (SSAS) data sources to work with Time Intelligence.

Important Important:
Always have time dimensions start at the beginning of their respective year, even if that means having empty members for the first half of the year. For example, if the fiscal time dimension year starts on July 1, 2011, but only has data recorded for January 1, 2012, you still must start the fiscal time dimension on July 1, 2011, to ensure that Time Intelligence functions for the full initial fiscal year.
To set time properties in an Analysis Services data source

  1. After creating an Analysis Services data connection, click the Time tab.

  2. From the Time Dimension drop-down list, select the time dimension for all Time Intelligence formulas and functions, such as a fiscal time dimension or a traditional calendar time dimension.

  3. From the Reference Member drop-down list, select the start of the time dimension’s year by clicking an instance of the year’s start date.

    Note Note:
    If your time dimension uses fiscal years that start on July 1, select an instance of July 1 in the member selector. Note that this could be titled as July 1 in the cube, or it might be represented as FY2012 H1 Q1 M1 D1, or perhaps some other format. If you are using a traditional calendar year time dimension, you would select an instance of January 1.

  4. Select the hierarchy level. This is where you select the precise reference member. For example, indicate if the member represents a day, month, semester, and so on.

  5. Under Reference Date, enter a calendar date that is equal to the period specified by the reference member. In this step, map the cube's time dimension to a traditional calendar.

  6. In the Time Member Associations section, map your time dimension hierarchies (listed under the Member Level column) to defined Time Intelligence hierarchies (listed under the Time Aggregation column).

  7. Click Save on the toolbar.

See also

Configure data sources to work with Time Intelligence by using Dashboard Designer
Create Time Intelligence filters by using Dashboard Designer
Use the Connection Formula dialog box in Dashboard Designer to configure a filter connection